== 2.0.8
 * Camera/RAW format support:
   Nikon NEFX (Zf/Z8 Pixel-Shift sequences merged via NX Studio)

 * Camera support:
   Canon EOS R100, EOS R5C
   DJI Air 3
   Fujifilm GFX100-II, X100VI
   GoPro HERO12
   Hasselblad CFV-100c, CFV-50c
   Nikon Z f (standard/lossless compression only)
   Olympus TG-7, OM-1 Mark II (tested w/ standard res files only)
   Panasonic DC-ZS200D / ZS220D, DC-TZ200D / TZ202D / TZ220D, G9 Mark II
   Pentax K III Monochrome, KF
   Sony ILCE-6700, A7C-II, A7CR, ILX-LR1

 * DNG 1.7 support, incl JpegXL RAW compression
 * RawSpeed3 decoder; UseRawSpeed custom setting
 * New hidden setting: UseP1Correction
   Default is on, set to 0 to disable Phase One Flat field/defects correction
   Hidden settings script names: UsePhaseOneCorrection/NoPhaseOneCorrection
 * The number of rating stars shown is limited to five
 * It is possible to close/accept Title/Description edit dialog via Ctrl-Enter (Cmd-Enter on Mac)
 * New GPS display formats: dd mm.mmmm and dd.dddddd
 * DNG Display: ignore vendor-provided linear limit for DNG files w/ Stage3 opcodes.
 * Sorting by Make(vendor)/Model


== 2.0.7

 * Camera format support:
    Sony YCC-format pseudo-RAW support (Small/Medium lossy compression on A1, A7-IV, and A7R-V cameras):
      RGB and YCC output available
      For YCC output: Cr/Cb channels midpoint adjusted to 8191 to fit Y channel histogram range

   Sony A7x lossless compressed format: support for latest FW updates.

 * Camera support:
   Canon EOS R8 & R50
   Leica M11 Monochrom, Q3
   Fujifilm X-S20
   Nikon Z8 (HE/HE* formats are not supported)
   Panasonic DC-S5-II, DC-S5-II-X
   Sony ZV-E1, ZV-1 Mark II
   Crop modes for Fujifilm X-H2S, X-H2, X-T5

 * Preliminary camera support:
   Sony ILCE-6700

 * Minor improvements:
    RAW file data limit now calculated dynamically based on max RAW megapixels setting.
    Default RAW megapixels limit increased to 160 Mpix

 * Minor bugfixes:
   EXIF data may display incomplete for unsupported RAW files (Sigma X3F, Nikon HE/HE*) in Single view mode.
   Selected files count in statusbar was not updated in single file view mode

== 2.0.6
  * Camera Support:
    Fujifilm X-H2, X-T5
    Hasselblad X2D 100C
    OM System OM-5
    Sony A7R-V

  * File support: Fuji H2S  HEIF Files
  * Sony A1 and A7-IV YCbCr files: built-in jpeg displayed
  * New hidden option StartupProgressDisplay: controls display of progress dialog during
    application start, default is on.
  * Mac: legacy graphics is controlled with new hidden option GPUCompatibilityMode3 
    to reset all previous changes   
  * Bug fixed: fixed information panels geometry/position save/restore if
    FastRawViewer was closed from Maximized or Fullscreen window state
  * Fixed too strict metadata checks for PhaseOne files that prevents display of such files.
  * Mac: check/warn for locked files move/move to rejected
  * Improved drag file to Folders panel experience
  * Bug fixed: If the file was not moved for some reason (e.g. attempt for locked file move on Mac while
    locked move was not enabled), it was still removed from the list of displayed files
  * Usage tips: font size in tip selector is affected by standard dialogs font size. Default font size is 1/45 of tips window size.
  * Bug fixed: Zoom anchor at mouse cursor/Only if mouse pointer is inside the image was not worked properly for vertical images. 
  * Bug fixed: Sharpener/Sharpen RAW files only setting does not work right on secondary windows
  * Bug fixed: file drag from filmstrip to main display window may cancel subfolder browsing mode.
  * Improved UX experience if drag to Folders panel is disabled
  * FilmstripFileOpenDelay hidden setting:
     - if set to zero: next/prev file switch in standard selection mode will work as fast as in Advanced selection mode
     - default value is now zero (existing installations are not affected because value is read from settings and
       std. value in previous versions is 255 msec)
     - FilmstripDefaultOpenDelay hidden settings script is renamed to FilmstripLegacyOpenDelay
     - new hidden settings script: FilmstripNoOpenDelay to set hidden setting value to zero
  * Limited macro expansion support in Preferences - External editors: it is possible to use macro tokens which 
    will be expanded into system-specific paths.
    Targeted to ease Affinity Photo 2 support under Windows, use 
     %localappdata%\Microsoft\WindowsApps\AffinityPhoto2.exe
    to run Affinity Photo2 as an External Editor.
    Supported macros (case insensitive):   
    %localappdata% - local settings folder. Expands to 
         - Windows: C:\Users\[Windows username]\AppData\Local
         - macOS: ~/Library/Preferences 
    %userprofile%, %home% - expands to user's home folder.
    
  * New hidden setting (and corresponding scripts): ForceRestoreFloatingPanels
    If set: floating panels position/size will be forcibly restored on startup.
    Intended to use on system with multiple displays with different resolution/scaling

== 2.0.5
  * Camera Support
    Canon R7 & R10
    Fujifilm X-H2S
    Panasonic DC-GH6

 * Windows: (Re)implemented limited DirectX9/Legacy mode:
     - no GPU processing
     - no Area downsample
     - no 'parallel GPU data upload'

 * Windows: (re)implemented check for remote desktop session, use WindowsCheckForRemote script
   to enable this check.
 * Bug fixed: bottom bar rating buttons were in inconsistent state after switching from grid to single image mode

== 2.0.4
  * Camera Support
    * Canon CR3 Film Roll/Raw Burst
    * Canon CRM format
    * OM System OM-1

 * Implemented GPU Legacy mode (exactly the same as in FRV 1.7.x)
 * If EXIF:ISO tag is equal to 65535 and EXIF:StandardOutputSensitivity is present
   and larger then 65535: use StandardOutputSensitivity value.
 * Hidden settings scripts: CanonEnableMakernotesOrientation (default)/CanonDisableMakernotesOrientation. 
   If disabled: TIFF:Orientation tag is used instead of orientation recorded by camera
 * New settings scripts: ReducedFoldersFunctions/StandardFoldersFunctions to set same setting ouside of FastRawViewer
 * Windows: ReducedFoldersFunctions script added to Windows start menu
 * Bug fixed: Context menu was not displayed if some non-default settings were used
 * Bug fixed: incorrect button state displayed in XMP Metadata panel if same button was pressed twice.

== 2.0.3
 * Camera Support
    Leica M11
    Sony A7-IV support finalized

 * Minor improvements
  Menu - File - Reload - Reload current file improved: 
 - It is possible to reload file (thumbnail and metadata) in Grid View
 - It is possible to reload multiple selected files
 - Reload is available via context menus
 - New setting: Preferences - Thumbnail cache - Re-read thumbnails on file reload.
   If unchecked (default: checked) file reload will refresh metadata only, but not thumbnail.

 * Bugfixes
 - Files with non-standard bayer pattern were displayed incorrectly
 - Restored (nonstandard) integer/deflate compressed DNG support
 - Red border around thumbnail (i'm busy displaying this image) was not 
   displayed if the file was already in decoded RAW cache.
 - Fixed bottom bar display issue if FastRawViewer has started in maximized window mode

== 2.0.2
 * Camera support
   DJI Mavic 3
   Fujifilm GFX50S II 
   Nikon Z fc
   Sony ILCE-7RM3A (A7R-IIIA), ILCE-7RM4A (A7R-IVA)
 * Preliminary camera support:
   Canon EOS R3   
   Nikon Z 9, standard compression only (for HE compression: embedded JPEG is displayed)
   Sony A7-IV (ILCE-7M4)

Minor changes:
  * predefined patterns for EXIF time in rename dialog/tokens drop-down (hhmm and hhmmss)
  * If one need to pass additional parameters to External Editor, type-it these parameters
    into External Editors panel, separated with | symbol. For example
    Windows: C:\Program Files\Adobe\Adobe DNG Converter\Adobe DNG Converter.exe|-d|d:\test  
    Mac: /Applications/Adobe DNG Converter.app|-d|/Users/user/DNGs
  * New setting Preferences - Grid view - Return to Grid mode via double-click on single file view
    If enabled double click on single image view will switch (back) to grid mode
  * Fujifilm RAF files: now we read XMP embedded blocks (e.g. ratings set via camera menu)
  * EXIF Table: user-selectable options for 0/1/2 decimal digits in GPS arc-seconds display
  * New settings: Interface - Standard dialogs font size and Menus font size.
  * New additional subsetting for Zoom - Zoom anchor at mouse cursor:
     Only if mouse cursor is inside the image.
  * New checkboxes in Rename dialog:
     [ ] Use last used pattern: for multi-file rename, will restore the rename pattern that was applied right before
     [ ] Also for single file: the same for single file (only if [ ] Extended parameters is checked)
  * Hidden preferences (compatibility) parameter GPUCompatibilityMode to use OpenGL2/GL ES 2.1
    instead of modern version. Default: on for macOS bigSur and newer, and Catalina/HD4000 mac models
  * Workaround for macOS Catalina/HD4000 driver bug
  * macOS: workaround for saving/restoring maximized window size/position
  * Workaround for Lightroom import via drag-n-drop

Bug fixes:
  * OE/UE data were not created for secondary window if file opened not via copy from main window.
  * GPS data were not displayed when browsing JPEG files in Single File View mode if 
    Lone JPEGs: On prefetch prefetch mode were used.
  * NoGPSStatus script was missing.
  * Show summary after copy/move: source folder was displayed in message instead of destination.
  * If global rejected folder option is on, but path to this folder is not set in Preferences:
    global selected folder selector arrives before Preferences dialog appear.
  * Statistics panel does not update after changing panel settings via gear menu
  * Fixed rare aliasing-type histogram draw problem.

== 2.0.1
Camera Support
 * Sony ZV-E10 preliminary support

Minor changes
 * New hidden setting  StatsPanelExtraHeight to fix small stats panel layout bug on macOS
 * (Windows only) Better detection of not capable/not initialized graphics hardware 

Bug fixes
 * (Windows only) Scripts to force graphics switch mode had not been updated for version 2


== 2.0.0
Big changes
  * Multi-window Display Mode with synchronous zoom, pan, focus 
    peaking, over/underexposure highlighting, and the ability to copy the rendering parameters of RAW files
  * Renaming files: either single files or groups, with optional use of templates.
  * Improved performance, especially when using fast and slow data media at the same time.
  * Improved user interface: Advanced Selection Mode improvements; Move from _Rejected; and more

== 1.7.3
 Big changes:
  * macOS: Universal build (Intel/Apple Silicon) provided; native Apple 
    Silicon (M1) support.
    This build should work on macOS 10.12-11.x on Intel based Macs
    and on macOS 11.x on Apple Silicon (M1) Macs.

 Camera Support:
  * Sony A1 (ILCE-1)

 Minor changes:
   * New setting: Image Display - Raw image crop mode with values:
     - Max visible area (speaks for itself)
     - Std. vendor crop: use crop recommended by vendor
     - User crop: more crop if set in metadata (e.g. DNG DefaultUserCrop tag
       or Fujifilm Aspect ratio metadata tag).
   Old 'Crop to manufacturer recommended margins' setting absorbed by 'Std. vendor crop'
   setting in the new dropdown.

   * Windows: Zoom - Use logical pixels for zoom calculation setting
     is enabled on Windows if Interface - Enable Global Interface Scaling 
     setting is turned on.
     Default value on Windows: off (use physical pixels for zoom ratio calculation)
  
   * Double mouse click on information panel will not undock it.
     Use shift + double click if you prefer to undock via double click.

   * DNG files created from Fuji dual-image files (S5Pro and similar):
     BaselineExposure tag is ignored (using it results in overexposed display).

   * XMP Rating/Label are (explicitly) not updated on forced XMP file(s) creation

   * New Preferences setting: Other - Determine the file type by its content
     If checked (default): Non-RAW files type (TIFF/PNG/JPEG/HEIC) to be
     determined based on file header content.
     Notes:
       - This works only for Non-RAW file types (extensions)
       - this setting is not available in Legacy versions.
   * Default shortcuts for exposure change/big step are changed from
     Shift+Alt+(Plus/Minus) to Ctrl+Alt+(Plus/Minus) due to modern macOS
     incompatibility
   * macOS: Preferences dialog compactified

   * New shortcuts for folders tree refresh
     - Menu - File - Reload - Refresh subfolders tree (Alt-Shift-F4)
     - Menu - File - Reload - Refresh full folder tree (Alt-Ctrl-F4)
 
   * It is now possible to append existing file when saving selection

Bug fixes:

  * If blue color was selected for Edges or Details display (in Focus Peaking modes)
    than corresponding bottom bar button was not highlighted.

  * If color has changed for Edgs or Details display, than corresponding 
    bottom bar button color was not updated until program restart.

  * (outdated/deprecated) QT_DEVICE_PIXEL_RATIO environment variable is ignored
    (together with actual QT_*SCALE_FACTOR variables) unless Interface Scaling
    setting is set to 'Environment variable')

  * Application may terminate with out of memory error if non-HEIC file passed w/
    HEIC extension

== 1.7.2
Bug fixes:
    * On macOS 10.12+ keyboard shortcuts may stop working after batch operation 
      of moderate length (more than 5 files, but less than one second)
    * On Windows: FastRawViewer may crash while trying to open file that could
       not be opened (e.g. prohibited by permissions settings, or locked by 
       another program).


== 1.7.1
Camera support:
  * Fujifilm X-S10
  * Leica SL2-S
  * Nikon Z6 II, Z7 II

Minor changes:
  * EXIF Panel: GPS elevation, ambient temperature and pressure fields added.
  * Shortcuts editor: custom program names are displayed (if set) in External editors/Batch
    External editors lists (instead of executable file name)

Bug fixes:
  * Fixed XMP-sidecar overwrite problems for RAW+JPEG pair when XMP sidecar exists for JPEG file
  * It was not possible to unset XMP sidecar overwrite warning in Preferences
  * Thumbnail cache for HEIC files: thumbnail was saved without correct orientation data.
  * Thumbnail cache for HEIC files: Canon HEIF thumbnails was saved w/o correct color flag
  * Fixed raw decoding issue with Sony A7S-III files shot in SLOG3 mode
  * Fixed raw metadata issue with Olympus E-M1/Firmware 4.6 (other Olympus cameras are probably affected too)
  * Fixed 10th external editor functionality.

== 1.7
Big changes:
  * HEIF/HEIC files support
    - optional XMP support (most likely, no other programs could use XMP sidecar for HEIC)


Minor changes:
  * System and hidden folders are shown if 'Show system/special files' is checked in Folders panel settings
  * (Windows) Async drive status query
  * XMP support for TIFF/PNG
  * Windows/64bit: 'Disable A/B floppy' Preferences setting is not checked by default
  * Force use of external JPEG as thumbnail
  * (Mac) Shortcut editor option to strip off (not needed) Shift modifier for shortcuts like Shift+1 
  * (Windows) Slightly faster RAW metadata  parser.


== 1.6.1
 =  Preliminary camera support:
     Canon EOS R5, R6, 850D
     Panasonic DC-G100/G110, DC-S5
     Leica M10-R
     Sony A7S-III, A7C

 = Camera/Format support:
     Canon 1DX Mark III lossy compressed files
     Fujifilm X-T4 lossy compressed files
     HEIF (H.265) previews in Canon EOS R5 and 1DX Mark III CR3 files

 =  Better color for Fujufilm X-T3, X-T30, X-T4, X-Pro3 and Sony A9-II cameras
 =  Better color for Canon 5D series cameras
 
 = New hidden/special use settings:
   
  * UseModernGL (standard builds only): if set to 1 (default) FastRawViewer will use
    modern OpenGL API.  If set to 0, FRV will falback to older API used in versions 1.0-1.6.0

  * FolderScrollExtraLines (Mac only): number of extra lines added to Folders panel scroll area
    to allow scroll beyond last item. Default: 1.

 = Minor improvements
  * Better handling of corrupted/truncated CR3 files

  * New Setting: File Formats - TIFF Support - Check if .TIF files are RAW.
    The point of this is the following: some (old) cameras wrote RAW files with the .TIF extension. 
    Accordingly, FastRawViewer checked each TIF file to see "is this a RAW file," which in some 
    cases leads to false triggers.

    This setting organizes the above-described checking procedure in the following way:
    Do not check: consider .TIF files to be just TIF files, without suspecting them of being RAW
    Known vendors: check the file to determine camera manufacturer, only trust a "this is RAW" 
    verdict if the "vendor / number of colors in the file" combination fits known cases. 
    This is the default, and it should work in 99% of cases
    All TIFF files: same behavior as for FastRawViewer 1.5.0 - 1.6.0

  * New action/shortcut:  Menu - View - Minimize
    Standard shortcuts: Command-M on Mac, no default shortcut on Windows.

  * EXIF Panel changes
     - Image size in megapixels display.
     - Image print size display. Print resolution and size units are specified
       via hidden configuration parameters. See PrintSizeDefaults script for details
     - Right click on EXIF panel allows to copy single value/clicked row/entire table to clipboard

  * New setting: Interface - Enable global interface scaling (and additional controls)
    Controls global UI scaling, intended for HiDPI displays.
     Auto: use automated scaling calculations
     Manual: use fixed UI items increase
     Env. Variable: use external settings via QT*SCALE* environment variables. 

 = Bugs fixed
  * (macOS 10.14+) multiple files drag works again.
  * macOS: fixed copy operation for locked files
  * The application might have crashed if filtration by XMP ratings / labels was on, 
    and the user went to FastRawViewer Preferences to disable "Use XMP" (switching off the XMP support)

  * The RAW file could be mistakenly paired with a JPEG/TIF/TIFF rather than just a JPG

  * Under default settings of "Check if .TIF files are RAW:", Canon 1D/1Ds RAW files were 
    processed as TIFFs, not as RAW files

  * If the file name contained several dots in it, the base file name was considered to 
    be up to the first dot instead of the last; this triggered 'xmp name conflict' errors 
    when there were none.
  * Corrected purple tint in overexposure display mode observed on some DNG files.

  * EXIF Panel/Image Size display: if JPEG file was downscaled due to restrictions set in
    Preferences, downscaled image size was displayed instead of original one.
 
  * In some (rare/edge) cases, copy/move file(s) to subfolder moves to subfoder in user Picures folder
    in user profile folder.

== 1.6.0
  * Preliminary camera support
    Nikon D6
    Sony ZV1
  * Subfolder browse mode
  * Hotfolder mode
  * Slideshow mode
  * Menu - File - Clear _Rejected subfolder
    An option added to remove _Rejected subfolder itself.
  * 'Last NN days' in Sort&Filter date range selector.
  * XMP Panel: Show Title/Description fine tune
  * Mac dark theme support (1st stage).
  * Adjust exposure range (TODO: note compatibility in docs)
  * Kalpanika support (w/ new settings/new values for UseDNGSDK and DNGVendorOptions)
  * QOpenGLWidget (todo: Mac scrollbars)
  * ThumbnailBorder tunable
  * Single View scrollbars: customizable (Mac/Windows non-legacy versions), possible to enable (Mac/non-legacy)
  * Cache limits increased for large memory configs (>16GB): +5 RAW/JPEGs, +1.5GB for thumbnail cache.
  * XMP Changes:
     - XMP Naming scheme
     - Sidecar/embedded selection
     - use GPS from XMP
  * ThumbnailBorder tunable
  * Lock histogram height

== 1.5.6
Camera Support:
  Fujifilm X100V, X-T200, X-T4
  Canon 1D X Mark III, partial support: lossless compressed files are supported; 
                       CRAW displayed in 'JPEG preview only' mode)

Minor changes:
  * Improved screen sharpening
  * Removed scrollbar flickering (the problem was reported only for Windows/64bit in DirectX11 graphics mode)
  * Improved scrolling speed in grid mode.
  * Support for 16-bit DNG files w/ deflate (zip) compression
 
Bugfixes:
  * (Mac) When going from fullscreen to windowed mode, window position was set incorrectly.
  * (Mac) Added some space for buttons on right side of bottom bar.
  * (Mac) Grid mode/EXIF data overlay: exposure data was truncated if Extra Small font used in Grid.
  * XMP Metadata panel was not updated in Grid mode w/ histogram display turned on.


== 1.5.5

Camera Support:
  * Canon EOS M200
  * Leica M10 Monochrom
  * Nikon Z50, D780, P950
  * Olympus E-PL10
  * Panasonic S1H
  * Sony A9-II

New features and settings:
  * New Setting: Image Display - Crop to manufacturer recommended margins
    If this is turned on, when RAW files are displayed they will be cropped in 
    accordance with the camera’s crop settings (this may not work with all cameras, 
    please write with examples if it doesn’t work for you). 
    The DefaultCrop DNG tags are now processed in accordance with this (new) setting
    The old hidden setting DNGDefaultCrop has been removed.

  * New processing mode for situations when the navigation buttons (next/previous file, etc.) 
    are rapidly clicked several times in a row:
    - With the default settings, FRV will store up to 5 clicks of the navigation buttons 
      and executes them sequentially (this can be turned off and back on using the 
      DisableNextPrevQueue / EnableNextPrevQueue scripts).
    - New setting added: Preferences - Interface - Combine multiple next/prev file keypresses into one jump
      If this is turned on, then
      -- The size of the queue in which button clicks are stored is not limited
      -- The queue is executed “in a single step” – the file to which the program needs to jump is calculated based on what is stored in the queue and the currently-open file; all intermediate files are skipped.
    The new setting doesn’t work “very smoothly,” but makes the transition to the destination file quicker.

  * Debug log:
    - The efficiency of the logging subsystem has been increased.
    - New setting Preferences: Other - Flush log to file immediately
      (this is accessible if writing the log to a file is turned on).
      This setting is intended to catch FastRawViewer crashes (the last things 
      written to the log will not be lost due to the crash). In all other cases 
      it should not be turned on, as it decreases efficiency (especially on slower discs).

  * The efficiency of the JPEG cache has been improved somewhat.

  * Upon opening of (previously closed) Folders panel manually, the folder tree is 
    positioned at the current folder.

  * The support of DNG files that contain 8-bit JPEG-compressed images is improved.

  * In Grid View the size of the font in the upper line that indicates the current 
    folder and the number of files changes in sync with the font size used for previews.

  * New setting: Touchscreen - Highlight toolbar item under mouse (Windows only)
    default: "on"
    If it is set to "off", the toolbar button under the mouse is not highlighted.
    This setting is meant to be used with a "true" touchscreen: when a button is 
    pressed with a finger, the last location where the pressure was detected is stored 
    in the system as a cursor position, and the respective button remains highlighted 
    even if the button itself doesn't change its status. This setting switches such highlighting off.

 * Quick Touchscreen support on/off (Windows only)
    You can add the icon (button) to quickly turn Touchscreen support on / off to 
    the bottom line of the program using standard 'Customize bottom bar' dialog
    ("Toggle touchscreen features" item).
    Pressing this button on the bottom panel is an equivalent to turning on / off 
    Touchscreen Settings - Enable touchscreen features in Preferences.

 * New setting for Touchscreen - White Balance dialog size
   It allows to enlarge the window when manually setting the white balance in touchscreen mode.
   Standard value: +30% (over normal)

 * Capture One v20 added to the list of known applications.

 *  In some cases, when switching from Grid to Single image mode, some flicker occurs: 
    the previous image is displayed briefly (so far, complaints came only from Windows 
    users, and only when using the DirectX11 video mode).
    To eliminate this effect, a (customizable) option is added.
    Preferences - Grid / Filmstrip - Suppress image flicker on grid/single image mode switch
    Its use slightly (5-15 milliseconds) slows down the switch to Grid Mode,
    therefore, this option will be automatically turned on only for users of DirectX11 mode.

 * Improved support for DNG files made from Fuji SuperCCD cameras

 * Improved support for CR2 files made from Canon D2000/D6000 files.

 * On Menu - File - Reload - Reload current file:
   if Preferences - Performance - Flush decoded RAW/JPEG cache on folder refresh is set,
   reloaded file will be completely re-read again from disk, cached contents will be ignored.

 * New hidden settings script ExpandCurrentFolder/NoExpandCurrentFolder
   Enables auto-expansion of current folder in Folders panel.

 * New setting XMP - Accept XMP date fields in (wrong) YYYY:MM:DD format
   Enables parsing of xmp:*Date fields recorded in incorrect format (correct is YYYY-MM-DD).
   Use it if FRV is used together with Exif2-based tools (such as digiKam).

Bugfixes
  * If all files were moved from the current folder and then returned back through 
    Undo, the only way to return to correct navigation between files was through 
    turning grid mode on / off.

  * XMP sidecar was not moved/copied along with the parent file if XMP read-only mode was on.

  * A (very rare) bug was fixed when the wrong JPEG file was shown for a RAW+JPEG pair. 
    This bug only affects display, copy-move operations worked correctly.

  * GPU rendering of RAW files produced by 16-bit cameras could work incorrectly.

  * DNG files produced by conversion of Fuji SuperCCD RAF files could be displayed with a blue tint.

  * DNG files produced by conversion of PhaseOne RAW files could be displayed with artifacts.

  * Upon reaching the first / last file in Filmstrip - the left / right arrows started to 
    scroll the image in the main window.

  * macOS Catalina: XMP overwrite detection for another file might work incorrectly with 
    files residing on network volumes.

  * Fixed crash while parsing lens metadata from some Sony files.

  * XMP sidecars/embedded blocks with incorrect xmp::ModifyDate format are now parsed.

== 1.5.4
Camera support:
   Canon EOS M6 Mark II, EOS 90D   
   GoPro HERO5, HERO6, HERO7, Fusion
   Fujifilm X-A7, X-Pro3
   Olympus E-M5 Mark III
   Sigma fp
   Sony ILCE-6100, ILCE-6600
   Better support for Nikon Coolscan NEF files

Preliminary support:
   Canon EOS M200

* 'File Handling - File formats - Default image to display: Same as previous': behaviour changed:
    - 'current' image type is saved on program close/recalled on new launch
    - 'current' image type will not be reset on folder change or Grid/Single image view change.

 * Change: Menu - Select - Save Selection to file: file list is always recorded in current sort order

 * Change: new hidden configuration parameter DNGPreferLargestImage, bit field
    bit 0: if set, FRV will select largest DNG subimage (default: select 1st subimage)
    bit 1: if set, FRV will extract Enhanced DNG image if present in DNG file
  Hidden configuration script DNGShowEnhancedImage.reg/.sh will set both bits to 1
  to prefer Enhanced image view. DNGShowStandardImage.reg/.sh script will revert the change back.

 * Change: hidden configuration parameter UseMMapedIO is now a bit field:
     bits 0-7: thumbnail reader parameters
     bits 8-15: full-size image reader parameters.
   lowest bit in each 8-bit set defines RAW reading, other bits are reserved for future
   (JPEG, PNG,TIFF, etc).
   Default value: 0 (do not use).

 * DXO Photolab3 added to the list of known applications.

 * Adobe Photoshop 2020 added to the list of known applications.
 
 * Costmetics: 'Use XMP for RAW files' setting renamed to 'Use XMP'

 * Costmetics: Clear _Rejected folder: menu item get renamed on rejected subfolder name change

 * Bugfix: extended lens data was not displayed correctly for Pentax cameras

 * Bugfix: Menu - View - Show Histogram/Exposure stats state was not restored on program restart
   even if Preferences - Interface - Restore last View settings was checked.

 * Bugfix: rating stars were not visible if 'display below thumbnail' was seleted simultaniously with
  "Selective/Active item contrast" setting being set to highest value.

 * Bugfix: XMP tag tiff:Rotation was used for Grid/Filmstrip even if XMP use was disabled.

 * Bugfix: Quick Zoom and Drag/Pan did not work correctly after RAW-JPEG switch in fit-to-window zoom mode.
 
 * Bugfix: Some RGBA and RGB multi-channel TIFFs may have been displayed incorrectly.

== 1.5.3

Camera support:
   Canon G7X Mark III, G5X Mark II
   Fujifilm GFX100
   Sony RX0-II, A7R-IV, RX100-VII 

New features:
 * Preferences - Grid/Filmstrip - Select-and-advance action changes last file selection state.
   If enabled, Ctrl-. action will select/deselect last file in folder.

 * Preferences - Grif/Filmstrip - Keep current thumbnail visible on Grid resize
   If enabled, Grid view resize (e.g. due to panels on-off) will keep current image in visible area.

 * Fix for some cases when white balance data was damaged by Nikon Capture.

 * Limit Zoom Out: lower value of upper limit is now 50%

Bug fixes:
 * In certain cases (for example, when a lens adapter was not communicating 
   an aperture setting to a camera) a shutter speed setting was not displayed 
   over Grid/Filmstrip thumbnails.

 * In single file view mode making Title/Description setting for a group of 
   files (using Menu/Select-Batch or context menu for a selected file) worked not as expected.

 * Fix for some cases when white balance data was damaged by certain versions of Nikon Capture.

 * Fix crash if .TIF-extension file is really JPEG file

 * If 'Hide groups with only one value' was set in Sort&Filter panel options, file counts
   may not fit into the panel.   

== 1.5.2
 Camera support:
   Olympus TG-6
   Panasonic S1, S1R, FZ1000-II
   Adobe compatibility data for Canon EOS 250D, Panasonic DC-G90/91/95/99

    Note: to view S1R HighRes images one needs to set Preferences - Performance - RAW size limit
    to at least 190Mpix (from default: 120Mp for 64-bit FRV)

 Minor changes:
  * New setting: XMP - Exposure,Contrast, WB - Force Adobe software to match FastRawViewer brightness
    Available only if the Image Display - Exposure - Apply Adobe hidden exposure correction setting is not checked.  
    This will result in silent "exposure boost" / baseline exposure rolled off in 
    Adobe CameraRAW/Lightroom, preventing false clipping indication and allowing to re-gain 
    the highlights that are not truely clipped.

  * New setting: XMP - Exposure,Contrast,WB - Write linear curve to XMP
    It is available if the following is already selected:
    - XMP - Exposure,Contrast,WB - Adobe process version: Version 2 (2010);
    - Image display - Contrast curve type: any fixed contrast one (sRGB, gamma 1.8, 2.2, L*);
    If this new setting is enabled, Adobe-compatible exposure and white balance tags will be written with following additions and amendments:
      a. the curve will be set to Linear (both name and values)
      b. tag crs:Shadows will be set to 0
      c. tag crs:ProcessVersion=5.7 will be forced
      d. tags crs:ToneCurvePV2012, crs:ToneCurvePV2012Red, crs:ToneCurvePV2012Green, crs:ToneCurvePV2012Blue will be deleted

  * Adobe Lightroom Classic 8.3: (new) path to application added to known apps list.

  * EXIF Panel: new field "Lens(ext)" is added to EXIF panel display (default: not displayed)
     This field contains extended lens description.

== 1.5.1
 Camera support:
  * Canon EOS R, EOS RP, EOS M50, PowerShot SX70 HS, EOS 250D (preliminary)
  * Leica D-LUX7, Q2
  * Panasonic DC-G90/95

 Minor changes:
  * Prior to version 1.5.1, FastRawViewer always creates XMP sidecars with .xmp (lowercase)
    extension. File extension case (upper/lower/mixed) does not matter for most cases 
    because widely used filesystems are not case sensitive. 
    However, latest version of Windows 10 could support case sensitive filesystems
    (this should be enabled explicitly on per-folder basis), also Mac OS/macOS has case sensitive 
    option. 
    As a temporary solution FastRawViewer 1.5.1 implements limited additional case in-sensitivity for 
    XMP sidecars:
      - if .xmp file is not present for given RAW file
      - but .XMP file is present (e.g. created by some other software)
      - than .XMP one will be used for all operations with given file (metadata store, copy/move).
    If both files are present, the .xmp (lower case) one will be used.
    We are watching user feedback and possibly will make a more flexible / convenient solution
    (for example, explicitly specifying a register in the settings) in the future, 
    if users will request it.

  * New setting: Thumbnail cache - Disk thumbmail cache - Use disk thumbnail cache for:
     TIFF and PNG files or All files.
  * removed misleading "(raw decode only)" comment for Sigma cameras in built-int supported camera list.

  * The Enable/DisableFoldersRefresh hidden setting is now visible as 
    Preferences - Other - Refresh folders tree after file copy or move.
    To refresh subfolder list in Folders panel (if automatic refresh is off) use 
    "Refresh subfolder list" item of  right-click menu (right-click on folder name).

Bugs fixed:
  * Fujifilm DBP for GX680: internal JPEG previes was displayed incorrectly
  * Preview were not extracted for some DNG files 

== 1.5.0

 * Additional file formats  support:
   - PNG: 8/16 bit, RGB and Grayscale. Transparency is not supported the right way
     because FastRawViewer is not suited for it (it is photograher tool, not designer tool).
   - TIFF, supported formats:
      Color schemes:
        - Grayscale: 8/16 bit integer, 16/32bit floating point
        - RGB/RGBA: 8/16bit int, 16/32bit FP
        - RGB palette images: 8/16 bit
        - CIELab: 8/16 bit integer
        - ICCLAB not supported due to lack of samples.
     Compression schemes: Uncompressed, PackBits, LZW, Deflate (ZIP), Adobe Deflate
      Note: Adobe deflate decode may be slower than standard Deflate compression
   - Notes on Metadata support for TIFF/PNG:
     - TIFF: Exif records are decoded and displayed
     - PNG: in PNG files, Exif data is stored after image data, so it is not possible to 
       get to Exif before full image unpacking. Because of that EXIF is 
       displayed for PNG files:
         - in single file view mode
         - in Grid mode if the thumbnail is comes from the file, and not fetched from cache.

     - BigTIFF: no exif support yet
     - TIFF/PNG: No XMP support because no other software uses XMP
       sidecars for TIFF/PNG. So, no Rating/Label/Rotate support for these formats.

   - File size limits implemented (Preferences - Performance section)
     TIFF and PNG files may have very large pixel dimensions resulting in
      -- video RAM overflow (FastRawViewer puts entire file into video memory for display)
      -- very slow thumbnails building, resulting in unacceptable performance.
      -- very large memory usage b/c TIFF/PNG files needs to be fully decoded on thumbnail
         generation.

     That's why we implemented addtional limits for these (newly supported) formats:
     Preferences - Performance section:
        -- TIFF/PNG thumbnail generation limit. If file is larger, than no thumbnail
           will be shown, but 'Dimensions too large' icon to be displayed instead
        -- TIFF/PNG file size limit: larger files will be refused instead of display.

   - Additional settings for TIFF ssupport:   

      --  new hidden setting: AdditionalTIFFExts (and sample registry script 
          AdditionalTIFFextenstionSample.reg)
          Add extensions list to this setting (e.g. "*.fff *.qqq) to handle these file types 
          as TIF-files
          Note: these files will never be joined with RAW+JPEG pair.

      -- New hidden setting: NonBayerTIFFIsNotRAW (and scripts: NonBayerTIFFIsNotRAW
         /NonBayerTIFFMaybeRAW):
         Some scaner-generated TIFF files are recognized as RAW files, based on Make/Model strings.
         This may result into wrong display (e.g. gamma correction applied twice, or data range set incorrectly)
         The new setting will force Non-bayer TIF files to be processed as normal RGB or Grayscale TIFFs


 * On-disk thumbnails cache:
   TIFF/PNG preview creation could be very slow. So on-disk thumbnail cache is added to the program.
   This cache holds only thumbnails generated for more than desired limit (500ms in default settings).
   On-disk thumbnail cache settings are in Preferences - Thumbnail cache section.

Minor changes:

* New mode "Overlay Grid": displays a grid on top of the image display.
  The grid can be turned on through Menu - View - Grid Overlay - select the desired grid configuration,
  Or via the hotkey Alt-G (equivalent to Menu - View - Next Overlay Grid).
  Setting the configuration can be done though Preferences - Image Display sub-menu - Sharpen/Other (previously Sharpen). Available grid configurations: Golden ratio, 3x3, 4x4, 5x4 and two Custom configurations allowing one to set user grids.
  When creating a custom grid, the first number is the number of marks along the long side, the second is the number along the short side.

* Menu - View rearranged:
   - all Zoom actions are moved into Menu - View - Zoom submenu
   - Channel View/BW View are moved into Menu - View - RGB/Channel/BW submenu.

* Image dimensions display (in pixels)
  - In EXIF panel (to set it up, use "gear" menu - EXIF Display Preferences - File Information - Image size)
  - In EXIF output line of Grid / Filmstrip (to set it up select Show EXIF Data - Image size in "gear" menu)

* Zoom In range limit: it is now possible to use [ ] Fit Window setting  instead of limit in percent.

* Intel Driver bug workaround:
  In some cases FastRawViewer 1.5.0 in OpenGL mode may crash because of Intel video driver
  (we have a single bug report, Windows 7 with Intel HD Graphics 4000).
  To get round this:
  - If Intel GPU is used
  - and OpenGL mode was set for an earlier version of FastRawViewer
  - FastRawViewer 1.5 will be automatically switched to DirectX 11 mode

  If, however, OpenGL mode was enabled in FastRawViewer version 1.5 (through settings, or via script Start - Menu - All programs....), it will be effective, with no attempts of automatic override to be made.


* Menu - File - Move to _Rejected and context menus
  Instead of using simply the word _Rejected menu will display;
  - the real name of the folder for rejected files (the same name that was set through 
    the Preferences), if not in 'Use global Rejected folder' mode
  - if in Global Rejected mode, menu will display Global _Rejected folder.

* Added _Selected subfolder functionality: it is anti-parallel to the functionality of _Rejected,
   meant for those shots that are selected.
  _Selected folder is always a subfolder in the current folder.
  It is disabled by default, to enable it, set a checkmark in 
  [ ] Enable move to Selected subfolder checkbox in Preferences - Copy/Move/Reject 
  (there you can also set the name for this subfolder).

  If _Selected subfolder functionality is enabled, the action is added to
   - Menu - File
   - and context menus
  There is no default shortcut for this action, you can use Shortcut Editor to 
  assign your preferred shortcut (action Move current file to _Selected in Copy/Move/Reject section)

 * Usage tips are now in PDF format resulting in smaller installer (about 5Mb less).
   It could be viewed without running FRV, the file resides in
   Windows: C:\Program Files\LibRaw\FastRawViewer\FastRawViewer-UsageTips.pdf
   Mac: /Application/FastRawViewer.app/Contents/Resources/FastRawViewer-UsageTips.pdf
   Side effects:
     - XP/Vista version: no Tips included into installer, because host os lack features needed for PDF display.
     - New separat 'Legacy' installer for Mac OS X 10.6-10.8
     - Mac OS X 10.6: Tips are displayed using system PDF viewer, not one included into FastRawViewer.

 * New hidden setting NavigationKeysProcessing (scripts ExtraNavigationOn/ExtraNavigationOff)
   If enabled:
   - IF: single-view mode, filmstrip is visible, focus is on single view image panel
     THAN: home, end, left, right, pgup, pgdn, up, down keys will be delivered to filmstrip
     if not assigned to other actions.
   This feature is experimental, so not enabled by default.

 * New hidden setting 'RefreshFolderAfterProgramRun' (and scripts): controls FRV behaviour after 
   external program being executed:
    0 (script: RefreshFolderAfterProgramRunDefault) - folder refresh is suppressed 
      for 3 x 'Check for folder updates' seconds, so if external program creates some files, this
      will not result into forced folder contents refresh in FRV.
    1 (RefreshFolderAfterProgramRunSoft) - folder refresh is not suppressed, so if external program
      will generate some file(s) in current folder, FRV will see it usual way.
 
    2 (RefreshFolderAfterProgramRunForced) - FRV will forcedly refresh current folder after 
       3 * 'Check for folder updates' seconds.
 
    (if this setting is set to 3, it will combine 1+2 methods, but no standard script is provided for that).

 * Monochrome JPEG: support for embedded ICC profiles
 * JPEG cache: use less agressive prefetch
 * Shortcuts editor: folder operations are moved into separate 'Folders handling' tab.
 * Bug fixed: if file (or built-in thumbnail) size is exactly the same as FRV thumnbnail
   size, either corrupted thumbnail could display, or program may unexpectedly exit.
 * Slightly decreased program startup time.

== 1.4.12
Camera support
    CLAUSS pix500
    Fujifilm X-T30
    Nikon Coolpix A1000
    Olympus E-M1X
    Sony ILCE-6400

Other changes:

* Folders panel context menu: if a right-click happens on a blank space, outside of any folder:
    - if some folder is already opened by FRV, right-click menu will apply to that folder
    - if no folder is currently opened (e.g. FastRawViewer is just started in start mode: empty screen), than no popup menu will appear.     
 * tiff:Orientation tag is now recorded into/readed from XMP blocks embedded to JPEGs
 * Bug fixed:  'Sel' (file selection status) in program status bar was not updated in single image mode.
 * Sony full-frame cameras in APS-C mode: cropped camera-garbled 32 pixels at right side

== 1.4.11
 * Improvement: faster thumbnails reading, especially from slow media/WiFI
 * Run program/Pass image in main menu/context menus has been reworked:
    - removed 'Run Program 1', 'Run Program 2' menu items
    - [Setup external programs] menu item will appear if fewer than 3 external programs are configured.
 * New setting: Folders panel - gear menu - Show horizontal scrollbar. 
   Enabled by default. When disabled, completely disables horizontal scrolling in Folders panel.
 * (Windows only) New Preferences setting: Interface - Set the main menubar colors to match the main window.
 * (Windows only) A warning is issued if 'pass image to external program' requires 
   privilege escalation.
 * Bugs fixed: 
    -WB presets handling for some Canon cameras (5DmkIII and 5DmkIV were affected)
    - Lens ID data was incorrectly parsed for some camera/lens combinations.
    - (windows only) thumbnail grid was displayed incorrectly if thumbnail size was
      changed in fullscreen mode.
    - EXIF data display above thumbnails was positioned incorrectly for large thumbnail sizes.
    - Grid/Filmstrip text font size was selected incorrectly on large thumbnial size 
      decrease (e.g. 800 pix - 200pix)
 
== 1.4.10
 Camera support:
   Gitup G3 Duo (16:9 mode only, use custom camera to support 4:3 mode)
   Fujifilm DBP680, X-T3, X-F10, GFX 50R
   Leica M10-P, M10-D
   Nikon P1000, Z7, Z6, D3500
   Panasonic LX100M2
   Sony HX99

New features

- New action: Menu - Adjust - "Reset image rendering to defaults" 
  (Ctrl-Shift-R/Command-Shift-R)

  This allows the user to "reset all changes" to the image rendering parameters 
  back to their pre-set defaults. 
  The defaults are set in Preferences - "Image Display", in the 
  "Reset rendering to default parameters" block. If the corresponding 
  checkbox (White Balance/Exposure correction/Contrast) is checked, then 
  after "Reset image rendering to defaults" this parameter will be set 
  according to the value set via its combo-box.
  The value of the parameter in the XMP file will also be set to the same default (
  if XMP support is on)

- Menu - File - Customize - Clean "recently used" lists:
  Allows one to delete the content of lists (accumulated in Menu - File ... and in context menus)
  - List of recently opened files
  - List of recently visited folders
  - List of folders used for copy operations
  - List of folders used for move operations

- New setting: Preferences - File Copy/Move/Reject: 
  Additional file extensions to copy/move with file
  Allows one to list the additional file extensions of the files to be copied/moved
  along with the main (raw) file of the given extension.
 
  Syntax: RAWext+AUXext, several such pairs can be listed, separated by spaces. 
  If AUXExt starts with a dot, then the extension will be added to the end of the 
  FILENAME.RAWext (FILENAME.RAWext.AUXExt); if it starts with a letter, then RAWext 
  will be replaced by AUXext, forming FILENAME.AUXExt.

  An asterisk (*) can be indicated in place of RAWext, in this case, this will be applied 
  to all files.

  Default: ORF+ORI *+.dop means: copy FILENAME.ORI along with FILENAME.ORF,
  and copy FILENAME.EXT.dop along with FILENAME.EXT (.dop is a DXO Photolab file containing metadata)

  Attention: the rules that govern copying JPG, XMP, .rpps are defined 
  separately via the Handle RAW+JPEG together, Use XMP for RAW files, Write RPPS files 
  settings, accordingly.

- New Preferences setting Zoom - Zoom In/Zoom Out range: defines minimal/maximal zoom level
  for Zoom In/Zoom Out actions, performed in any way: using keyboard, mouse, menu, or
  bottom bar buttons.

- The search for external editors (known to FastRawViewer) has been revised:

  -- on first launch, FastRawViewer presents the user with an interactive
     list of external applications known to FastRawViewer that were found on 
     the computer; the user can exclude those they don't need to be invoked 
     by FastRawViewer from the list

  -- If an external application is uninstalled or otherwise deleted from the 
     computer, then for those known applications FastRawViewer will attempt to 
     find a newer installed version (using the internal list of known app paths) 
     and will suggest replacing the invocation of the older version with 
     the newer version

  -- "Rescan for known apps" button has been added to the 
      Preferences -> "External Editors" pane 
      to facilitate adding invocations of known applications to the list.

- Support for Adobe Process v.5 (2019) / Process v.4 (2016)
   Since there is no change in the format or interpretation of Adobe Process 
   parameters used in FastRawViewer ("Exposure", "Contrast", "White balance") 
   since Process v.3 (2012), this support is rather formal - only the value 
   for the Process tag in XMP files is written according to the user choice 
   of the Process.

   The default value remains Process v.3 (2012), as it is widely compatible 
   with previous versions and not in any way limiting.

   The list of values for "Adobe Process version" in FastRawViewer 
   Preferences - Exposure/Contrast/WB is now extended and reads 
   "Version 1 (2003) ... Version 5 (2019)" (instead of the previous "2003, 
    2010, 2012"), to mirror the change in Process nomenclature made by Adobe.

 - New Preferences setting:  Other - Use reduced Folders panel functions
   replaces SimpleFoldersHandling hidden setting (via script).

 - Windows: support for long file names (>260 chars).

 - New hidden setting UseMMappedIO: turns on memory mapped file access 
   instead of file-read based one. May be slightly faster in some cases
   (e.g. ultra-fast local PCIe disk drive).

 - Better handling of pre-white-balanced RAW files (Nikon Small RAW, Nikon and Canon multishot files).

 - Capture One v.12 and Photoshop 2019 added to list of known apps.

Bugs fixed:
  - When copying multiple files set (e.g. RAW+JPG+XMP) with verify after copy turned on,
    only checksum for RAW file was checked.
  - Folder rename/remove cleanup; fixed program freeze if folder renamed just after program launch;
  - Some combinations of Background Gray Level and Selected files background settings resulted in the following problems:
   -- the background of the current file didn't differ from the background of the selected file
   -- EXIF data overlay above the thumbnail may become invisible

== 1.4.9
Camera support:
  * Leica M10-P
  * Sony RX100-V-A 

Minor changes:
* When using global Rejected folder, the name of the folder is displayed in the 
 "Move to Rejected" confirmation dialogue.

* New hidden setting ForceWindowSizeRestore: if set (via script), then main window
  size and position will restore from setting for the second time after main window made visible.

* New hiddend setting DNGDefaultCrop: if set (via script UseDNGDefaultCrop), FastRawViewer will
  apply DefaultCropOrigin/DefaultCropSize tags to DNG files. Default is off.

Bugs fixed:
* Standard selection mode: current image was reset on window focus change
* When using the global Rejected folder, the name of the local subfolder 
  was displayed in the settings instead.
* Fixed a bug in processing Minolta (MRW) and Sony's oldest cameras (A100 ARW) files, 
  which did not allow to display these files.
    
== 1.4.8
Minor changes:
 * EXIF Display: "File Modified" date is now displayed using system default (short date) locale
 * Edit date range dialog (Sort/Filter panel): OK is now 'default button', and it is applied by Enter key

Bugs fixed:
* Mac: fixed problem with Fujifilm cameras 'out of memory' error
* Edit date range dialog: Incorrect date range status was not updated when 'to' date was changed
* Files stats count was not updated if edited date range selects zero files.

== 1.4.7
Camera support
  * Fujifilm X-T100
  * Pentax K1-II
  * Sony RX100-VI

New features
  Just a short list, please see detailed (and pretty-formatted) description in Whats New document.

  * Better JPEG Handling, resulting in about 2x faster RAW browsing
  * Processing RAW data on a video card (GPU)
     - Better demosaic
     - Faster edits 
  * Interface speed-up, 10-20ms saved on frame change
  * Standard (familiar) selection mode, similar to Mac Finder/Windows Explorer
  * Lot of minor changes and bugfixes.


== 1.4.6
Camera support:
  * Sony A7-III, ARQ files support (4x ARW files in multi-shot mode, stitched by Sony Imaging Edge software)
  * Olympus E-PL9
  * Fujifilm X-A5,X-A20,X-H1
  * Panasonic GX9,GF10/90, DC-ZS200/TZ200, GH5S, G9 in high-res mode
  * Preliminary support
     Canon EOS 2000D, 4000D

New features:
  * New setting File Handling - Copy/Move/Reject - Enable quick copy/move to subfolder
    When enabled, new item [New subfolder..] will appear in File - Copy/Move and context menu - Copy/Move menus.
    If selected, dialog with subfolder name request (and optional history checkbox) will pop-up.
    Subdolder with specified name will be created in current folder (if not created before), than selected
    files will be copied/moved to that subfolder.
    Enable History checkbox will turn on subfolder names history (not saved anywhere in settings, so cleaned on FRV restart).
    Use down arrow key (or mouse) to access history list, or just start typing to find most relevant history item.
  * Windows: new hiddend setting 'Bottom bar font in pixels', use NoBottomBarFontPixels.reg/UseBottomBarFontPixels.reg scripts
    to change from default.
    This feature is intended for dual-monitor systems with very different resolution (e.g. 4k and FullHD), when OS is unable
    to deliver resolution change data to application correctly (some versions of Win10 in specific cases).
    Most users do not need this.
  * New preferences setting File Handling - Sorting and Filtering - Ignore dashes and apostrophes on file/folder sort.
    Controls file/folders sort order if punctuation symbols are used in names.
     - Windows: default is ON, to match sort order in Windows Explorer (but not Adobe Lightroom)
     - Mac: default is OFF, to match both Finder and Adobe Lr sort orders.
  * Filmstrip allowed to Right dock area
  * New method of Grid view thumbnail margin calculations to better handle folders with small file count.
  * Preferences - Grid/Filmstrip - 'Single keys work for multiple files too' option is now ON by default.
  * Folders panel: new Reverse sort order option (does not affect drive order list on Windows);
  * Sort & Filter: sort by file size/file modification time works much faster now because it reads all metadata on folder open
  * Read-Only (Windows)/ Locked or Read-Only (Mac) files support:
       Most cameras allows to 'protect' images in camera. When files are imported from flash card to computer, this
       translates into:
        - Read-Only attribute on Windows
        - Locked (UF_IMMUTABLE) attribute on Mac.
     FastRawViewer supports this flag now:
       - Grid and Filmstrip: new option 'Show Locked/Read-only status' (Mac)/'Show Read-only status' (Windows)
         in Grid/Thumbnail options ('Gear') menu.
         If enabled (ON for Grid, Off for Filmstrip by default), padlock icon will be show in the top-right corner
         of thumbnail area for Locked/RO files.

       - Sort&Filter Panel:
           -- Read-only files (Windows) / Locked/Read-Only (Mac) checkbox will appear on Files/Metadata filter box section
              if some locked/RO files are present in current folder. 
              If checked, only Locked/RO files will be visible in Grid/Filmstrip.
           -- Read-only files first (Windows) / Read-only/Locked files first (Mac) option in Sort menu. If checked,
              RO/Locked files will appear first in Grid/Filmstrip view (or last, if Reverse sort option is checked too).
       - Copy/Move/Move to _Rejected: file attributes are preserved.
       - For RAW+JPEG pairs only RAW file status is checked.
       - (Mac only) Preferences - Copy/Move/Reject - Allow move/reject for locked files (default is off): Locked files are 
         not movable on OS X, only copy allowed. If this option is checked, FRV will remove Locked flag before move,
         and will restore it back after move, allowing move/reject locked files.
       - Menu - File - Clear _Rejected:
         if 'Delete read-only files too' is checked in confirmation dialog, then
         -- Windows: all attributes (e.g. hidden, system) are cleared before file removal.
         -- Mac: locked flag and read-only permissions are cleared before file removal.

  * Metadata read for folder sort/filtering is about 2x faster on fast (SSD) drives
  * New option: XMP - 'RAW+JPEG mode: embed XMP block into JPEG' (default: off) - if it set to on,  
    both XMP-sidecar for RAW file and embedded block for associated JPEG will be recorded on any XMP-changing action.
    If off, only XMP-sidecar will be recorded. Embedded block contains complete XMP block (i.e. exposure/WB/contrast too),
    not only rating/label, so it can be extracted from JPEG and used with RAW file.     
  * Debug log: better handling of different character sets; log files are saved in UTF8
  * Data maximum calculation: allow up to 0.002% of hot pixels

Bugs fixed:
   * XMP files with Label set to 5th custom label was read incorrect (no label parsed).
   * If thumbnail cache size is too small to keep all thumbnails in current folder, file metadata cache may expire too during
     thumbnail cache cleanup.
   * Fujifilm X-Trans: histogram normalized to per-channel pixel count
   * Fixed command-line processing in non-local character sets (e.g. Thai locale and Greek filename).
   * Fixed bug in EXIF DigitalZoom display
   * Fixed bug in parsing Sony AsShot balance if shot in very warm light
                                      
== 1.4.5
Camera support:
  * Adobe Camera Raw 10.1 compatibility data.

New features:
  * New setting: Preferences - Grid/Filmstrip - Ignore folder paths on selection load (default is off)
    With this option shecked, Menu - Select - Load/Append selection from file will ignore folder part of
    file paths stored in file, so selection load/append become folder independed.

  * Preferences - File handling - Reset filtering on selection load 
    With this option on, folder file filtering is turned off while loading/appending file selection.
    Without that, only visible (not filtered out) files to be selected based on loaded file.

Bugs fixed:
  * Thumbnails was not refreshed on thumbnail size change.
  * Correct handling of striped bitmap thumbnails (Leica M8.2)
  * (Windows) Show file in Explorer and Menu - Help - Auxillary settings scripts was broken on FRV 1.4.4
  * Resent copy/move destination list was damaged after switching 'Single keys act for multiple files'

== 1.4.4

Camera Support:
  Canon EOS M100, G1 X Mark III
  Fujifilm X-E3
  Leica CL
  Nikon D850
  Olympus E-M10 mk III
  Panasonic DC-G9 (standard RAWs only, high-res mode not supported yet)
  PhaseOne IQ3 100Mp Trichromatic
  Sony RX10-IV, RX0, A7R III

=== New settings and features:

== Combining the 'Single File' and 'Batch' keys (together with their respective menu options)

  In FastRawiViewer 1.3, we made the decision (in the interest of not bamboozling users) 
  to separate the hotkeys/menu options in cases of individual work with single files and group 
  work with groups of selected files. In this case, the context menus worked as expected: the one in 
  the main window of the application always worked with the current file, 
  the Grid/Filmstrop one depended on whether or not the file belonged to a set of "selected" 
  files (back then the operation was for groups) or not.

  This behavior was chosen so as to not startle existing users. However, this was somewhat 
  unusual and not convenient for everyone, so starting from version 1.4.4 we are going to 
  (gradually) unify these menu option/hotkey sets.

 This new functionality can be turned on through Preferences -> Grid & Filmstrip -> "Single file keys work for multiple files too".

 This mode has a second setting, which is necessary in cases when there is a group 
 of selected files, but the current file isn't in the group: 
 Preferences -> Grid/Filmstrip -> "If the current file is not in the group of selected files, single-file shortcuts will work with", 
 with the options:
  * Current file - the buttons to act on files work on the current file
  * Selected group - works with the selected group
  * Both - the current file is implicitly added to the selected group.

 When turning on "Single file keys works for multiple…":
  * Menu -> Select/Batch is renamed to Menu -> Select, and all of the actions (copy/move/etc.) 
    are removed from it, only work with selected is left.
  * Default actions, specifically:
      * Menu -> File -> Copy, Move, Pass to (program), Move to Rejected
      * Menu -> Adjust -> Rotate/Flip
      * Menu -> XMP Metadata
   can work with one file or with several, depending on the context:
      * In Single-file View Mode, the actions always work with the current file, not the group.
      * In Grid View Mode, if there are selected files, the actions will work with the group:
        -- If the current file is not present (e.g. folder just opened)  or is in the group of selected files
        -- If the current file isnt't in the group of selected files, but the 
           setting "If the current file…" is set to "Selected group" or Both.
   Group mode is indicated in the menu:
      * File: Move, Copy, "Move to Rejected", Run - instead of the filename, you will see "Move (Copy, Pass to) NN files to"
      * Adjust: the header "Rotate NN selected files" appears above the Rotate group; and "Adjust filename" 
        above the edit single file (In Single file View Mode) group.
      * XMP Metadata: the first line of the menu becomes the "Rate/Label nn selected files" header
  Group mode is indicated in the XMP Metadata panel and in the application's bottom bar:
      * The panel header changes to XMP Batch change: NN files
      * The asterisks change to snowflakes
      * The filled-in square marks change to colored borders
  If the selected group has identical ratings/labels, then the corresponding snowflakes/borders will 
  be highlighted, if they're non-identical (or unknown, see the next point), then they won't be.

  If for part of the files, the metadata hasn't been read yet, then if there are fewer than 30 such files,
  they will be read. If there are more, then the "common rating/common label" will be unknown.

  If, when working with a group of files, with the setting 
  XMP -> "Disable batch XMP operations if files with same name are selected" turned on, 
  then if in the group of selected files there are files with identical names (for example file.CR2 and file.DNG), 
  then XMP operations (rotation, rating, label, title, description) will be restricted (in fact, disabled).

  XMP operation restriction mode (due to a naming conflict) is indicated:
      * In the Adjust and XMP menu, with the header 'XMP change disabled: filename conflict'
      * In the header of the XMP Metadata panel (XMP Change disabled), and textually in place of the Title/Description fields.
	
  When turning on "Single file keys works for multiple files too" mode, the (old) buttons for group actions disappear from:
      * The keyboard shortcuts editor (Ctrl-K)
      * Current keyboard macros help (F1)
      * The check for "one button is assigned to several actions" that happens at the start of the application.

Schedule for feature implementation:
      * 1.4.4 and 1.4.5 releases - turned off; after the update, nothing will change yet for both old and new users unless Preferences changed.
      * 1.4.6 - turned on (with the setting inherited from 1.4.4): new users will get the new behaviors, while previous users who updated in time will get the existing behavior. Furthermore, we have "standard selection models" planned for in version 1.4.5 (this is when an accidental click in the Grid/Filmstrip deletes a lovingly-crafted selection).
      * 1.5.0 - the setting will be removed, and the work will be only in the new manner (but the two models of selection will remain)

== Moving across several files with one keyboard shortcut.

 If you shoot with bracketing (often), you may find it useful to to move left/right through a list of 
 files by more than one file at a time.

  This function can be turned on with the EnableLargeJumps.reg(sh) script (and turned of through the DisableLargeJumps script).

  When this is turned on, the Menu adds the items Menu -> File -> Jump +2 files (+3 files, -2 files, -3 files) 
  and default hotkeys: Ctrl-Alt-RightArrow (move +2), Ctrl-Shift-Alt-RightArrow (+3) and similar for left arrow to move -2/-3.

  The size of the "jump" can be controlled through the Registry/Defaults Large2JumpStep and Large3JumpStep settings. 
  The EnableLargeJumps script sets these settings to 2 and 3, respectively. 
  If you need other values (for example, your standard bracketing step is 3 and 5 shots), you will need to copy 
  the script somewhere where it can be edited, change the values, and launch it (or change the values manually 
  through Registry Editor/defaults).

  The changed values take place after FastRawViewer has been relaunched.

  If the step for "large steps" is set to 0, then the corresponding menu points/hotkeys are deactivated.

== New mode for automatically setting the scale of the "Fit to Window width".
   Default key: Ctrl-Alt-0

  New setting added: Preferences -> Interface -> Zoom -> Image zoom on next file -> Fit Width.

  Because, when setting an unfortunate window size, it was possible to have a "cycle" (Fit to width - the vertical scrollbar appear - width decreases - one needs to reduce the scale - the scrollbar disappears - one can increase the size again), Fit-To-Width can leave the field of a width up to 10 pixels.

== New setting: Preferences -> Interface -> Panels -> Hide panels on Tab -> Restore Panels -> Hide all state on start
  This allows the application to, on start, recall that all panels were closed.

  Attention: the setting Interface -> "Force open Folders panel if started without filename" activates AFTER Restore Panels -> Hide All.
  If you want to always start without panels, you will need to either explicitly close them all, or turn off 'Force open folders'.

== XMP Labels

 * New XMP setting added - (in the ratings and labels page) - "Use custom string for not set labels". This allows one to set the value (string) of the rating in cases when the rating is removed via FastRawViewer. This is intended for work with Capture One (being as this application prefers <xmp:Label>None)
 * Reading labels from XMP files has been reworked: if XMP Label Style: Custom is being used, and a word/string that is used in other styles for other colors is being used as a Custom label (for example, for the red label the word Green is used, which corresponds to the green label in the Lightroom Color labels style), then reading the file's label will take place correctly (first the word will be searched in a list of custom labels, and only then from a list of defaults).

== XMP/IPTC Title/Description can now be set for all selected files
  To de so, in "Single File keys works for multiple files…" - mode use the default menu (XMP Metadata), 
  the default hotkey (Alt-D), the context menu for a file group, or by clicking on the Title/Description 
  space in the XMP Metadata panel. 

  If the new mode has been turned off, then group editing appears in the Select/Batch menu.

  The editing dialogue differs from Title/Description editing for a single file
    * Each of the two fields has an additional checkbox (when first used, it's not checked - afterwards, 
      it's saved for the duration of one session)
    * If the checkbox isn't checked, then the corresponding field can't be edited and it won't be changed for file groups.

  If a group of selected files has the same Title/Description, then they will be displayed in the editing dialog. If different, then it will say in the dialog (atop the editing panel) that the values are different.

== New setting Zoom -> Allow Fit-to-screen to zoom above 1:1
This allows one to set the zoom to be more than 100% in Fit to screen/Fit to width modes.

== New setting Preferences -> Performance -> Flush decoded RAW/JPEG caches on folder refresh
If this is turned on, then Menu -> File -> Refresh -> current folder will clear the cache of decoded files.

== Reworked Preferences dialog
  Settings pages that are too big have been split into multiple pages:
    * XMP: Ratings & Labels and Exposure, Contrast, WB have been made separate pages
    * Interface: the panels settings have been moved to a new Panels page
    * Image Display: the Sharpening settings have been moved to a separate page.

== Menu -> File has been reworked
    * Change of the current file (First, Prev, Next, Last) - this has all been grouped in the submenu Menu - File - Go To
    * Settings (Shortcuts, Bottom Bar, and (only for Windows) Preferences have been collected into Menu - File - Customize

== Writing XMP blocks to JPEG files
    * Separate diagnostic message when trying to write to a read-only file.
    * New setting for XMP: "Restore original JPEG file date after writing XMP block" - the original file modification data will be restored after writing an XMP block.

== Other changes
    * New setting Image Display -> Exposure -> Use camera provided highlight limit: if this is turned on (default), then the maximum value of the RAW data will be taken from the metadata of the RAW file (works with Canon, Olympus, Sony, Panasonic, Samsung, Pentax, Kodak).
    * DXO Photolab, Adobe Photoshop CC 2018, and Adobe Lightroom Classic CC have been added to the list of known applications.
    * New action in the Select menu: "Move to prev. and (de)select": this is the opposite of the existing Menu -> Select -> "(De)Select and move to next" action.
      Subsequent uses of "(De)Select and move to next" or "Move to Prev. and (de)select" will reset the selection.
    * The following buttons have been appended to the list of default shortcuts:
       -- "(De)Select and move to next" - the default shortcut Shift-RightArrow has been added (in addition ot the existing Ctrl-.
       -- "Move to prev. and (de)select" - the default keys Shift-LeftArrow and Ctrl-, (Windows only)
      Existing users, please note: the Shift-RightArrow will not automatically be added to existing keyboard shortcuts; you will need to either add it in manually through the shortcuts editor or reset the shortcut settings to the Defaults.
    * When changing the current "volume" (Windows: disc letter, OS X: mount point), all of the monitoring to changes to other volumes is removed, allowing one to unmount a flash card "which has been left" not only through FastRawViewer, but also with the inherent mechanisms of the operating system.
    * The setting Grid/Filmstrip -> "Center edge filmstrip items" has been changed to Grid/Filmstrip -> "Center Filmstrip items" with the options:
       -- No centering
       -- Edge items only - analogous to the old Center edge filmstrip items
       -- Always center - the active element of the filmstrop will always be in the center
    * Batch Rating/Label/Title/clear Rejected: progress bar appears only if 20% of the job is not done in 150ms, or there are more than 100 items in the job
    * Undo: file selection is restored only after "Move/Move to rejected" undo, all other undo operations do not change selected files list.
    * Windows Installer: when upgrading, the 'place link to user manual on desktop' is disabled by default.

=== Bug fixes
    * Recording XMP to JPEG: in a series of cases, EXIF data would be modified; no longer.
    * Windows, working with UNC paths:
       -- Correct work with copy/move/reject with UNC paths
       -- Correct work with copy/move/reject with symbolic links for UNC paths.
    * Incorrect zoom setting has been fixed, it happened after the following sequence of events: manually setting the Zoom (not fit-to-screen) - switching to embedded JPEG (lower resolution) - moving to the next file with the default image to display: RAW.
    * The "Reset filtering on folder change" setting was always on and wouldn't turn off.
    * In some cases, when deleting all filtered files, the filtering was lost.
    * The Title/Description wouldn't update in the interior cache after editing and could be displayed incorrectly in the Grid (but not in the XMP Metadata Panel)
    * When turning on sorting by metadata, the curent file could randomly change in the process of filtration (during more metadata reading)
    * The '&' symbol was displayed incorrectly in the hotkey settings dialog.
    * The check for the image aspect ratio is now done more carefully/accurately.
    * Work with black-and-white thumbnails has been improved.
    * Color data for calculating CCT/Tint for the Panasonic LX100 camera has been fixed.
    * The problem with coding in the help for keyboard macros has been fixed.
    * If the use of XMP Rating Reject was turned on, Reject was after 'No rating' in the menu/context menu (and before it in the XMP Metadata panel)
    * Windows: on the first prefrernces save, graphics mode to be set to DirectX9 instead of determined automatically on the first run
    * Fixed memory leak in handling JPEG previews with orientation that not match RAW sensor orientation


== 1.4.3
Camera Support:
 * Canon 6D Mark II, 200D
 * Fujifilm X-A10
 * Gitup GIT2P
 * Leica TL2
 * Nikon D7500

Minor features:
 * Now, when opening in Single View mode, XMP data is always taken from the file on the disk, 
   and not from the copy cached in the memory (in Grid View, XMP data is always taken from the cache, 
   and if an external program changed the XMP, you can re-read it using the refresh button on the 
   Sort&Filter panel or using a hotkey we added for this purpose, see below).

 * Embedding of XMP data blocks into JPEG files is re-factored and improved:
    - New setting "XMP - Fallback to XMP sidecar if XMP block write to JPEG fails" allows to create .XMP files if 
      embedding (per "Write XMP blocks to JPEG.." being switched on) failed
    - If the above Fallback is on, and an .XMP file for an image file with the same name is already present, 
      a warning can be issued, following to the setting "Warn if overwrite XMP for file with same name" 
      (for FastRawViewer versions 1.4.0 - 1.4.2 this fallback was always on, and the check for the existing file name was not implemented)
    - Compatibility of XMP block embedding is extended to cover more of JPEG file types; 
      in FastRawViewer versions 1.4.0 - 1.4.2 XMP embedding was not supported for certain JPEG file types, 
      and XMP sidecar files were recorded instead of XMP embedding.

 * If the embedding of XMP data, or the recording of XMP sidecar file failed,
    - Rating / Label is not refreshed in Grid / Filmstrip view
    - Auto advance to the next file will not happen, even if the corresponding setting for auto-advance is on.

 * Actions and hotkeys have been added for re-reading the current file/folder
	- Menu - File - Reload - Reload current file (Ctrl-F4) will reopen the current file 
          if it exists. This is useful for Single File view mode or for Grid Mode when the indication of 
          the exposure statistics and histogram is turned on.
	- Menu - File - Reload - Reload current folder (Shift-Ctrl-F4) will re-read the contents of the 
          current folder, including the XMP and EXIF data, and will also reload the current file, if it exists.
 
 * A context menu element has been added to the Folders Panel, namely Show in Windows Explorer/Reveal in Finder, 
   accessible via right click.

 * Folders/Favorite folders panels
	- Ctrl-Click (macOS: Cmd-Click) in a folder: this will display the contents of this folder in the Grid,
          and will limit the folder tree in the Folders panel to the folder that will clicked on, 
          and folders below the one that was clicked.
	- Ctrl-Shift-Click (macOS: Cmd-Shift-Click) in a folder: this will display the contents of this folder 
          in the Grid and limit the folder tree in the Folders panel to one level above the folder that was 
          clicked on, and folders below it.

 * A click on the triangle to the left of the folder name in Folders panel will not change current folder to clicked, 
   but just expand/collapse subfolders.

Bugfixes:

 * Adobe-formatted contrast setting was recorded to XMP files only if the exposure setting was also 
   changed (however, the contrast in native FRV format was recorded correctly in all cases)
 * External JPEGs were not being used as thumbnails (for files that don't have an embedded preview) 
   even if the corresponding setting was turned on.
 * FRV will not keep monitoring for visited volumes after current folder change (so, you can unmount
   visited flash drives outside of FRV).

== 1.4.2
New features
  1.  For the zoom setting (Shift-LeftClick, Shift-RightClick, Z button), one can set a custom zoom 
      value (in the range form 10 to 1000%). To do so, select Custom in the drop-down list, 
      and set your preferred value.
  2. For those preferring to work without a mouse, keyboard combinations have been created for easy 
     access to Folders / Favorite Folders / Filmstrip / Grid panels. 
     Default for the keyboard shortcut is Ctrl+the key to display the panel:
       Ctrl-G/Command-G - Grid Mode panel
       Ctrl-F7/Command-F7 - Folders panel
       Ctrl-Shift-F7/Command-Shift-F7 - Favorite folders panel
       Ctrl-F6/Command-F6 - Filmstrip panel
     You can customize the shortcuts as usual, through Keyboard Shortcut Editor - Information Panels.
     If a panel isn't visible (you decided to hide it), then the respective "switch focus" hotkey is ignored.
     When switching focus to Grid/Filmstrip, the first element to be displayed will be activated.

  3. When opening a file (through Menu - File - Open, through drag-n-drop), which shouldn't be displayed 
     in Grid/Filmstrip because filtration is turned on and it does not pass the filtration rules, the 
     user is given a warning of this.

Minor Additions
    * Additional checks for the success of XMP file recording have been implemented

Camera support
    * Olympus TG-5
    * Panasonic TZ90 (preliminary support)

Bugfixes

    * In some cases, when decoding damaged previews from files, the Grid/Filmstrip would continue to 
      display a clock rather than "decode error".
    * If reverse order sorting was selected, and a user switched to a different folder, FastRawViewer 
      would scroll to the very end (the last file).
    * When changing to the sorting order, the checkbox "Reverse sort" would be always unchecked.

== 1.4.1
 * Bugs fixed:  Exposure/WB adjustment in XMP was cached too aggressively, re-read forced after change

== 1.4.0


See detailed description at: https://www.fastrawviewer.com/blog/FastRawViewer-1-4-release

Main points to look for:

- Over- and Underexposure display has been improved and refined (Manual, p.132)
	• Detecting clipping point for overexposure zones display depending on camera's Make and Model (not available for all cameras)
	• Adjusting underexposure limit detection based on camera ISO setting

- Improved synchronization of XMP changes between ACR/Lr and FRV (see "XMP settings" in Manual, p.117)

- Touchscreen support (Manual, pp.68, 126)

- Option to verify data after file copy (Manual, p.36)

- The sorting and filtration of files in folders has been massively overhauled;
	• File sorting and filtering (Manual, pp.42, 165):
		• by Filename (naturally or alphanumerically)
		• by File type (extension)
		• by File modification time
		• by File size
		• by Shooting date (EXIF Timestamp)
		• by XMP rating
	• Save, Cancel and Restore filters (Manual, p.44)

- Folder tree editing (Manual, p.58)
	• Create subfolder
	• Rename folder
	• Delete folder

- Drag-drop into the folder tree (including Favorite folders) (Manual, pp.50, 112):
	• Copy or Move modes

- Drag-drop files into other applications (Manual, p.49)

- Selecting the position (below or above thumbnails) and detail of the EXIF data to be displayed in Grid mode (Manual, p.161)
	• Abridged exposure data (shutter speed and aperture)
	• More complete data (shutter speed, aperture, ISO, exposure correction)
	• Date & Time (from the EXIF data)
	• Camera name
== 1.3.9
 * New option for Start without filename setting: Flexible, last file or folder
   - If the last file opened in the main window is located in the last-visited folder, this file will be opened.
   - If not, the last-visited folder will be opened.

 * Full support for all of the EXIF.Orientation tag options, more specifically support for for mirrored images has been added.
   New actions have been added to Menu-Adjust and to the context menu:
    - Rotate 180 - default shortcut is Ctrl-8 (acts upon a single file)
    - Flip horizontally/vertically - no default shortcut assigned.

 * The algorithm that is responsible for determining the orientation of Fuji SuperCCD files (Sx Pro and point-and-shoot cameras) has been reworked to ensure that FRV's behavior now matches Adobe's (both for .RAFs and for .DNGs derived from them).

 * The algorithm that was responsible for matching the orientation of the external JPEG and the RAW has been reworked; the cases when the orientation tag is absent (JFIF-JPEG) and is present (EXIF-JPEG) are processed separately.

 * Image display speed optimization: the image tiles that will not be visible on the screen because of zoom will not be rendered. This helps the speed only when navigating through zoomed-in files or switching between a zoomed-in RAW and JPEG. In other cases, the textures are already loaded into the video card and the speed-up is negligible.

 * The new hidden setting OEDetectionMethod allows one to change the algorithm for detecting overexposure. The values:
    0 (OEDetectionDefault script) - invokes the default method, which searches for the rightmost hump on the histogram
    1 (OEDetectionHistogram) - the algorithm looks for a one-bin wide peak in the histogram highlights (the bin width in FRV's histogram is 1/20 EV)
    2 (OEDetectionManual) - a manual setting, the value is taken from the OEManualLimit parameter

 * The new hidden setting CoolscanNEFGamma sets the Gamma value for processing Nikon Coolscan NEF files.
   The value is multiplied by 100, that is for Gamma 2.2 use 220; for Gamma 1.0 use 100. The default value is 220.
   There are no scripts to edit this, please set this value into the registry manually.

 * EXIF display:
    - new pseudo-tag 'File Modify date' will display file create/last modify date
    - EXIF values to be displayed even for files whithout EXIF to display pseudo-tags in this case.

 * "Re-read folder in" setting: the range of values has been extended to 0.0 at lower end; and if 0.0 is set, re-reading is stopped.

 * For Kodak, Sony, Canon, and Olympus cameras, additional camera white balance presets are added to WB dropdown as Camera Auto/Camera Custom.
 * New value for 'White balance for next file' preferences: 'Camera Auto/As Shot'. If camera provides Camera Auto white balance values, these values will be used.
   If not, FRV will fallback to 'As Shot'

 * Camera support:
    - Canon G9 X II
    - Fujifilm X100f, X-T20, GFX 50s, X-A3 
    - Hasselblad H6D-100c
    - Leica M10
    - Nikon B700 (preliminary color data)
    - Panasonic DM-FZ80/82, DC-GH5
    - Pentax KP

 * Selection files state is locked before any batch operation and unlocked after to avoid selection alteration by keyboard shortcuts.
 * Fixed: overexposure calculation for Coolscan NEFs.
 * Fixed: The current folder in the Folders panel will no longer ever leave the field of view when the Filmstrip is hidden in Grid mode and the user switches from Grid mode to Single File Mode.
 * Fixed: the processing of Hasselblad XiD files with ISO 6400 and higher
 * Selection files state is locked before any batch operation and unlocked after to avoid selection alteration by keyboard shortcuts.
 * Fixed: Sort by EXIF timestamp uses tag 0x132 if no other date tags are present.
 * Fixed bug when reading exposure data from .XMP file created by Adobe w/o FRV-stored values

== 1.3.8

Major changes and new settings:

 * "Natural sorting" (one that considers digits in file/folder names to be ordinal numbers and sorts those numbers in natural order):
  - to sort files, use:  Preferences - File Handling - File sort order: Filename, natural sort; Filename natural sort, reversed.
  - to sort folders in the Folders Panel: Folders Panel - (gear)Settings - Use natural folders sort order
   Natural sorting is turned on by default, and for files it replaces the old Filename, alphabetical system.
   Natural sorting is not supported in WindowsXP version of FRV (the necessary functions only exist starting from Win7)

 * New setting "Copy/Move folder selector starts at" controls where the browsing for destination folder for Copy/Move actions starts:
    - Last used: browsing starts with the folder that was used as a destination for the previous action
    - One level up from last used: browsing starts from the folder which is the "parent" relative to the last used
    - Current folder: browsing starts in the current folder
    - One level up from current folder: browsing starts from the folder which is the "parent" relative to the current folder
    - Specified folder - opens a text input line to enter folder path

 * New setting: Preferences - Other - Check global folders presence on startup (ON by default)
   Turns on the checking for the existence of "global folders" if FastRawViewer is configured to use the said global folders.
    - Start without filename - Specified folder
    - Open folder dialog starts at - Specified folder
    - Use global rejected folder - Subfolder for rejected files
    - Copy/Move folder selector starts at - Specified folder.

 * Hidden setting FilmstripSelectedItemContrast moved to the Preferences, use slider in Preferences - Interface - Selected/active files contrast

 * New hidden setting: ShiftClickSelectionMode and scripts ShiftClickSelectionModeDefault.reg/.sh
   This setting modifies the behavior of Shift-Click (selecting a range of files) in the Grid and Filmstrip.
   Bit field consists of three bits
   Bit 0:
     0 - the second limit for the Shift-Click's range will be 'last Ctrl-Clicked', irrespective of whether the action was "selection" or "de-selection"
     1 - the second limit for the range will be 'last Ctrl-Clicked' only if the action was "selection"
   Bit 1:
     0 - If 'last Ctrl-Clicked' isn't there, the second limit for the range will be the first file in the current folder
     2 - The second limit for the range will be the current file if it wasn't Shift-Clicked (if it was, then it will again be the first file in the current folder)
   Bit 2:
     0 - Shift-Click always creates a new range selection, overriding the previous one.
     4 - Shift-Click always expands the selection, never de-selecting previous selections.

  First limit is always Shift-Clicked file.
  To add this setting present to Registry/Settings (for manual editing via Registry Editor, for example), launch FastRawViewer, go to the Preferences, and press OK without making any other changes to Preferences
  (or run the script ShiftClickSelectionModeDefault.reg/.sh).

Camera support added:
   Nikon D5600
   Panasonic GX800/850
   Sigma sd Quattro H (embedded JPEG thumbnails only)

Minor Changes:

 * OS X: The PDF Manual is copied during the installation of the application into the Resource folder, and is accessible through Menu - Help - PDF Manual

 * The folder containing scripts for additional settings is accessible through Menu - Help - Auxiliary settings scripts (OS X: the settings scripts are copied into the application's resource folder)

 * The Key/Mouse capture window is now very different from standard dialogs, and we hope that its contents will stand out better now.

Bug fixes and other improvements
   * support for DNG files containing multiple embedded images
   * support for out-of-camera DNG files recorded by Magic Lantern firmware
   * fixed black level setting for Sony A350 cameras
   * recognize Olympus 12-100/4 IS lens correctly
   * fixed an error in calculation of the Baseline Exposure for Canon 5D mk4
   * Sony A7RM2: fixed the issue with files that do not have black level tag in metadata (possibly due to a bug in pre-release firmware)
   * Canon D2000C: reading black level from file metadata
   * Leaf Aptus 22 è Aptus 75: fixed orientation of thumbnails in Grid and Filmstrip windows
   * RAW files without an embedded preview: fixed the cases when "Decoding error" status was displayed in Grid / Filmstrip windows, instead of correct one, "No thumbnail"
   * Photoshop Elements 15 added to the list of known applications
   * Fixed internal/external JPEG orientation match if raw data processing is disabled for this file/data format.
   * Improved sorting of files contained in a folder, to better determine the order after sorting:
    - in RAW+JPEG mode, when files with the same names but different extensions are present, JPEG will be paired with a RAW file with the first extension, extensions being sorted in alphabetical order. That is independent of the sorting mode the user had chosen.
    - fixed the sorting bug that occurred when files with the same names were present in a folder.
    - when the primary sorting key is not unique, additional keys are used: file name (if the sorting was not 'by name') and file extension; additional keys ensure that the sorting of files inside a folder is stable.
   * Disabled 'Do not recall network/removable media on startup' check if 'Start without filename' is set to 'Specified folder'
   * Fujifilm cameras BaselineExposure ('Adobe hidden exposure correction') values are now in sync with recent Adobe software.

== 1.3.7

Adds support for following cameras:
  Canon EOS M5
  Hasselblad X1D, True Zoom
  Google Pixel, Pixel XL
  Olympus E-M1 Mark II
  Panasonic DMC-FZ2500/2000/FZH1, DMC-LX9/10/15
  Samsung Galaxy S7/S7 Edge
  Sony ILCA-99M2 (A99-II), a6500

Improvements:
 * Color profile data updated for Olympus, Panasonic and Sony cameras.
 * Baseline exposure indication is added to EXIF panel, see EXIF panel Preferences.
 * Capture One v10 added to list of known applications.

Problems fixed:
 * Additional checks for broken thumbnails
 * Better handling of DNG files with embedded Makernotes data
 * Better handling for Fuji SuperCCD files converted to DNG

 * Reset to Defaults does not affect 'Use System Open File/Folder dialogs' and 'Use built-in icons' settings
 * Reset to Defaults does not affect TryJpegAsRaw, WheelScrollLines, DragPanCursorWOZoom hidden settings
 * New hidden setting AlternateXMPWrite, to be used when encountering a problem with writes to XMP files
 * Non-existing paths (like those pointing to switched off network server) listed in Favorite folders panel do not slow down the program start)
 * EXIF Panel: scrollbars are now visible only when they are necessary.

Other:
 * GlobalAlternateHandler script description removed from docs because this setting is no longer in use.

== 1.3.6

Camera support:
  * Olympus E-PL8
  * Sony RX100-V
  * Sigma sd Quattro (JPEG previews only)
  * Canon 80D/5D4 sRAW/mRAW

Minor improvements:
  * Further improvement of EXIF IFD parsing for JPEG files
  * About dialog is sized according to system font size
  * Main program window accepts file/folder drops in all cases
  * In Grid mode the ratings and labels for the files that do not have previews are now displayed and can be changed
  * New bottom bar field "Selected files count", turned off by default.
  * Lens mounted on Sony cameras via dumb adapter are indicated as 'Unknown'
  * 'Flash fired' icon size in EXIF summary field adjusted separately for EXIF Panel and bottom bar.
  * If focal length read from makernotes/EXIF is 0mm, it is not shown at Lens: EXIF field
  * Adobe Photoshop CC 2017 added to list of known applications

Problems fixed:
  * Implementation of Folders panel reworked, to address the rare crashes some of the users with very deep nesting of folders were experiencing
  * OS X: removed an unnecessary check of OpenGL version; this check was disabling FastRawViewer on 2006 MacMinis.
  * Fixed memory leak happening while browsing Foveon raw files
  * Orientation for Sigma Quattro and Merill files is read from embedded JPEG orientation tag (but not all cameras set it right)
  * Implemented an additional integrity check for Samsung NX raw files
  * When an external JPEG is used as a thumbnail - the orientation of the thumbnail is compared to the orientation of the image, 
    and those external JPEGs that are already rotated will be displayed correctly
  * The external JPEG as thumbnail option works only in RAW+JPEG mode, as it should
  * Use external JPEG as thumbnail now works for all image formats.
  * Fixed handling of Fuji X-Trans compressed files with incorrect data size tag in metadata
  * Correct calculation of flash icon for EXIF summary on retina screens; EXIF string updates after interface settings changed;
  * Fixed metadata parsing for Sony SR2 format

== 1.3.5

Problems fixed:

 * macOS Sierra: the problem with saving FastRawViewer settings that may have non-integer values is fixed.
   We suggest to update FastRawViewer before upgrading to Sierra. After updating FastRawViewer please
   visit FastRawViewer Preferences (Menu - FastRawViewer - Preferences) and simply press OK, this way all
   your existing settings will be saved in new Sierra-compatible format.
   If you have already upgraded macOS to Sierra, you may need to re-enter the values for non-integer settings;
   please visit http://www.fastrawviewer.com/blog/FastRawViewer-1-3-5-beta for detailed instructions.

 * Windows: if FastRawViewer was started, and you have not clicked in the program window (in any place there),
   the setting for Zoom anchor at mouse cursor was interpreted incorrectly for keyboard zoom ('Z', Ctrl-1, Ctrl-+)

 * Improved parsing of metadata for Leaf Aptus cameras

 * Correct parsing of ISO settings higher than 65535 for Pentax cameras

== 1.3.4
Improvements:
 * New hidden setting DisableNextPrevQueue (available through scripts Enable/DisableNextPrevQueue.reg/sh):
   In standard mode, with this setting off, if a user issues a new command to move to the Next/Previous 
   file while FastRawViewer was still executing the prior Next/Prev File command, this new command 
   is queued and will be executed as soon as the prior one is completed. This allows for fluid browsing through files 
   with just the Spacebar depressed, but can become uncomfortable if very large files are present, 
   as reading and processing such files takes time.

   If DisableNextPrevQueue is on, the new command to move to Next/Previous file will be ignored while the current 
   command is in effect, and transition to the current file is not completed.

 * Color transforms have been improved for a range of cameras

Camera support:
  * Canon 5D Mark IV
  * Gitup GIT2
  * Nikon D3400
  * Pentax K-70
  * Panasonic G8/80/85
  * Raspberry Pi (V1 and V2 camera modules)
  * Several Sony and OmniVision sensors used in Android phones (in Android sensor dump raw format)

Bug fixes:
 * If an external program is started with selected files, the filenames are no longer changed to lower case.
 * Fixed Samsung EX2F image frame size problem
 * Windows: Non-mounted network volumes (\\server\share) were not considered as network volumes, and the 
   setting "Do not recall removable/network media on startup", as well as the settings in the "Network volumes performance" 
   group were not applied to such volumes.
 * macOS Sierra: fixed problem when saving custom Bottom Bar items visibility
 
== 1.3.3
Improvements:

  * Included the the ability to increase/decrease exposure correction in large steps:
      - new setting Exposure - Exposure adjustment big step size (the old one is now small step)
      - manual exposure correction has been moved to the submenu Adjust - Adjust exposure correction
      - the step size is indicated as a menu element.
      - the default buttons for "big" steps are Shift-Alt-+ and Shift-Alt--
      - when Shift-Clicking on the exposure correction button in the program's bottom bar, the "big step" is used.
  * The determination of overexposure zones has been improved for some Nikon cameras
  * Photoshop CC 2015.5 has been added to the list of programs known to FRV
  * The size of folder and drive icons varies with the selected panel font size

Camera support:
  * Support for "sensor dump" camera formats as specified by the user (engineering cameras, firmware hacks and third-party firmware)
  * Camera support:
     Canon G7 X II
     Fujifilm X-T2

Bug fixes
  * The bug with the orientation of previews of vertical shots from Hasselblad HxD cameras has been fixed
  * The display of 0.4s shutter speed has been fixed
  * OS X: the actions of the Esc button in the context menu have been fixed
  * The "Open Tips at startup" checkmark did not work as intended
  * Fixed 'Update available' notification layout on HiDPI screens

== 1.3.2 Release

Features added:

    * Context menu for single file displayed in the main window, similar to that in the grid / filmstrip.
      During the first launch of this version of FastRawViewer, a dialogue offering to enable this feature will appear, as previously the right click shortcut was used for Mouse drag.

    * Set the Folder tree filtering through Menu - File - Folder tree filter
        Start folder tree at current folder (Ctrl-T) - limits the display to the current folder and its subfolders
        Start folder tree at one level up (Ctrl-Shift-T) - limits the display to the folder one level above the current, including subfolders
        Move folder filter one level up (Shift-T) - will move the "filtration point" up one level
        Reset folder filtering (Alt-T) - show full folder tree.

Other improvements:
    * The new setting Interface - Force open folders panel if started without filename, forces the display of the Folders panel:
      if FastRawViewer was started without specifying the name of the file / folder,
      and if the specified file / folder can't be opened.
      By default, this is enabled.
    * Improved detection of lenses mounted onto Sony cameras through Sigma MC-11 adapter
    * The new setting Interface - Activate program on file drop with options:
      None (behavior as 1.3.1),
      Fullscreen (default),
      Always.
      If this option is enabled, passing the file without starting a new copy of FastRawViewer (e.g., by dropping the file onto the program icon in OS X, or in a single instance mode) - FastRawViewer window is activated, that is it is brought to the foreground and gets the keyboard focus. This happens in Fullscreen mode only, if the Fullscreen option was selected above; or in any mode, if the Always option was selected.
    * New option File Handling - Copy-Move-Reject - Show progress bar on copy / move / reject
       No / Always / Multiple files
    * Substantially improved the performance of batch operations (all of them, but especially of the operation that moves files "one level up", i.e. from a folder / subfolder to a folder).
    * The new hidden setting, DisableRawDecoding (through DisableRawDecoding / EnableRawDecoding scripts)
      If it is enabled, decoding of RAW data, and subsequently computing and displaying of histograms, statistics, OE / UE is not performed and  FastRawViewer behaves as a JPEG / embedded thumbnail viewer.
      To restore the decoding of RAW data temporarily (without changing the settings / registry / defaults), use the command line switch -enableraw
      Thus one instance of FastRawViewer can be used as a JPEG viewer, and another instance can be launched (as an external program) from within this instance as a (single-file) RAW viewer, using a shortcut; given this shortcut has a CMD file containing something like 'FastRawViewer -enableraw %1' assigned to it.
    * New hidden setting, UseGPSStatus, enables/disable GPS Status field check when displaying GPS data.


Bugs fixed:

    * Screen sharpening was reset to "minimal state" when changing settings.
    * Current sharpening mode was restored to a wrong state.
    * When switching between folders in the Grid mode, zoom value (when not in Fit to screen mode) could be doubled for each folder change.
    * Fixed the behavior of the program during the browsing to the next (/ previous) file if the current file was moved, while Grid / Filmstrip were not visible.
    * When opening a file located in a folder from the list of Favorite folders (for example, by dropping it onto the program window), FastRawViewer switched to Grid Mode
    * The first file opened from the first opened folder had Copy / Move / Run actions disabled
    * Fixed crash on broken EXIF tags in some cases
 
== 1.3.1 Release

 * Limiting the displayed folder tree: you can right-click on any folder and choose
   Start folder tree at [foldername] and the displayed folder tree starts from that folder (and includes its subfolders).
   An additional panel will appear at the top of the Folders panel, with the (x) and [↑] button and the following message:
   Folder filter On.
   The (x) button turns off the filtration, and displays the entire folder tree again.
   The [↑] button will move the "root" of the filtration one level higher.

   With default settings, folder filtration is not stored. This can be changed by turning off the following setting:
   File Handling - Program Startup - Reset folder tree filtering on start.

   When changing the current folder for any reason (opening a file or folder through any method, unloading the current file) to a folder "beyond the current filter," the filter automatically turns off.

 * Program settings, keyboard shortcuts, EXIF settings, and the bottom bar are saved only "immediately after a change" (same behavior as previously), but not when exiting the program.
   This way, you can use scripts to set hidden settings while FRV is launched, with changes made by the scripts being preserved upon exiting the program (if, of course, the settings weren't changed through Preferences after the script was run) and applied upon the next launch.

 * If the default keys for Grid/Filmstrip navigation (arrows, Home, End, PgUp/PgDn) are assigned to some action, then the Grid/Filmstrip will ignore these keys regardless of the current possibility to perform those actions (for example: if the Undo action is assigned the Up arrow, then in FRV 1.3, if it is possible to Undo, that is the Undo stack is not empty, the Undo action will be performed. If not, then you will navigate through the Grid).

 * Folders Panel: a tooltip with the complete path to a folder has been added.

 * Camera support: 
     Canon 1300D
     Fuji X-Pro2 compressed format
     Nikon D500
     Pentax K-1 (incl. pixel-shift mode)

 * Color Management settings - Color space for Thumbnails: a new ProPhoto variant has been added for the support of several (old?) PhaseOne (and Kodak?) digital backs.

 * The maximum size of a thumbnail which can be read from a RAW file is limited to 128MB. The maximum size of a file from which a thumbnail will be read is limited to 2Gb.
 * Windows/Folders panel:  displays share name for network volumes.
 * A bug in the processing of the built-in color matrix for PhaseOne files has been fixed.
 * Contrast controls buttons are disabled in highlights inspection mode.
 * A check for possible access beyond the file size when reading thumbnails has been added.
 * AVX2 detector: will also check for OS AVX support.
 * Shortcuts Editor: Save button renamed to Export to avoid confusion
 * New statusbar item 'Current file selection status', shows is current file selected or not.
 * Bug fixed: external programs #5 and #6 was never listed in context menus.
 * Fixed bug in lossy DNG ('fast load' DNG) processing.
 * Fixed a bug when "Move to next if rating set/if label set" worked the same way as "if rating or label set"" 
 * Fixed bug with files filtering if sort order set to EXIF timestamp

== 1.3.0 Release

== Grid Mode ==

 FRV supports the display of file previews in the main window.
 Under the default settings, this mode turns on upon starting the program and when switching between folders that are being looked at.
 In "Grid" display mode, the Filmstrip panel is hidden, if it was in its default position at the bottom of the window.

 In "grid" mode, the following are accessible (through the menu or the context menu which opens upon right-clicking)
   - copying, moving, moving to the _Rejected subfolder
   - changing the file orientation
   - setting the label/rating
   - passing to an external converter
   - and, obviously, moving to Single File Mode (double-click, or hit Enter on the file or Menu - View - Switch to single
     image /press G/)


 At the top right of the "Grid Mode" window there are three buttons:
  "statistics" - turns on the display of RAW-histograms, exposure statistics, EXIF data (by default, this is turned off for the sake of file browsing speed)
  "funnel" - filtration by rating/label. Duplicates the funnel on the Filmstrip panel.
  "gear" - preview display mode settings (size, how to show the name of the file, rating-label, the tooltip)

 Other Grid settings: Preferences - Grid/Filmstrip

== Operations with several files ==

When displayed in a Grid and in the Filmstrip panel, files can be marked by:
  - Ctrl-Click
  - Set a checkmark in a checkbox in the upper-right corner of the preview thumbnail
  - Through the actions in Menu - Select/Batch
    -- (De)select, (De)select and move to next
    -- Select All, Invert Selection, Deselect All
    -- Select by Rating/Label
    -- Load/Append selection from file

With a group of marked files, one can preform the following operations (Menu - Select/Batch or the context menu of the selected file)
   - copying, moving, moving to the _Rejected subfolder
   - changing the file orientation
   - setting the label/rating
   - passing to an external converter

== Undo: reversing file operations ==
The following operations:
  - All file operations (copy/move/rejected)
  - All operations preformed with ratings/labels
  - Group orientation changing

How to Undo: Menu - File - Undo

Default settings
   - the depth of the Undo history is 50 steps
   - when changing the folder that is being looked at, the Undo history is cleared

The settings can be changed in the Preferences - Copy/Move/Reject

==  Highlights inspection Mode  ==
  (Menu - View - Highlights inspection or Shift-H or the 'H' button in the bottom panel).
   This mode decompresses highlights, compressing the shadows (the opposite of the Shadow boost action), is intended for visual inspection of the highlights when Overexposure display isn't enough (for example, in the case when a formally not-overexposed channel becomes overexposed after white balance is applied to it).
    Settings: Preferences - Image Display - Highlights inspection:
     - Gamma decrease: the Highlights Inspection mode turns on the gamma curve (independent of the tonal curve that has been set) with a value of "2.2 minus the gamma decrease"
     - Decrease exposure by: the current value of the exposure compensation decreases by the indicated value.
     - Apply UniWB white balance: temporarily turns on the UniWB white balance (all white balance coefficients are set to 1),
       which allows one to get rid of the highlights that were overexposed because of application of white balance.

== Sharpening for display ==
   Under the default settings, this is turned on through the 'S' key or the 'USM' button at the bottom of the screen (in the E/D/S group).
   This is supported only on videocards with Framebuffers support (everything recent), in Direct-X mode, DirectX 9.0c support is needed (meaning that it doesn't work with old Intel chipsets).
   Two sharpening settings are supported, which can be changed in a cycle - 1st setting is on, 2nd setting is on, sharpening is off.

   Modes are set in the Preferences - GPU Processing - Screen sharpening
    - the checkmark on the group turns the sharpening feature on/off.
   First setting:
    - Mode: controls how the sharpening is applied; "when the button is pressed" (this is the default) or "always on".
    - Radius - sets the "mask radius," values starting with 1.0 correspond to Photoshop scale on radius. For the range between 0.1-0.99, the step is a bit less than that of Photoshop.
    - Amount - this is the "intensity" of sharpening, similar to that of Photoshop.
   Second setting:
    - Mode: setting is on or off
    - the remaining parameters are like the previous setting.

== Tone curves (contrast settings) reworked ===
   In the Image Display settings it is now possible to select either between 4 standard "colorimetric" tone curves or to use "Variable Contrast" tone curves. By default, Variable contrast curves are selected, allowing the "Contrast setting on next file" setting and changing the contrast with arrow-shaped buttons at the bottom bar (this replaces the dropdown with the list of tone curves that used to be there in previous versions) or through Menu - Adjust - Increase Contrast (keys: K, Shift-+), Decrease Contrast (Shift-K, Shift--).
   Variable Contrast allows one to set 11 standard values (from -5 to +5), and 6 "Ultra contrast" values, from U+0 to U+5.
   Once Variable Contrast is applied, it is recorded to the XMP file the same way as all other parameters:
    - if the tone curve was changed by the user
    - if Force XMP files creation is on, the value of Variable Contrast will be recorded when the file is opened

   Compatibility with Adobe RAW Converters:
   The range of standard values (-5 to +5) approximately corresponds to the Adobe Contrast slider values (-100 to +100). The "Ultra" values correspond to Adobe Contrast values +100, with the Blacks slider being between -20 and -100.
   To record the fields for Contrast and Blacks in the Adobe-compatible format, use the setting XMP - Adobe compatible Exposure, Contrast and White Balance - Write Adobe-compatible Contrast/Blacks into XMP files
   If this setting is on, the values for Contrast and Blacks will be recorded in newly-created XMP files and also to existing XMP files with Adobe Process Version set to 2012.

== Performance ==
 * The new Parameter Preferences - GPU Processing - Store all renderings in GPU memory
   is recommended for discreet video cards with video RAM of 1GB and more. If this parameter is on, all of the representations of the current file (RAW, intJPEG, extJPEG) are stored in video memory, thus making switching between the representations nearly instant.

 * Increased performance due to support of AVX2 commands (works with 64-bit Windows and with OS X)
   For Intel Core i3/5/7 4xxx/5xxx/6xxx processes, with AVX2 instruction set, the refresh speed for the RAW display when image control parameters (White Balance, Exposure Compensation, etc.) are changed increases by 15-20%
   To enable and disable AVX2 support for the processes with this instruction set, the  UseAVX2/NoAVX2 scripts can be used.
   The capabilities of the processor are determined when FastRawViewer is launched, and if AVX2 instruction set is not supported, the code that takes advantage of this instruction set is disabled.

 * Control over concurrent RAW processing:
   Prefs.ProcessingMaxParallel, can be changed through editing or by launching the SetProcessingMaxParallel script. This is intended to be used on highly multi-cored computers (for example, 2 6-core CPUs with HyperThreading are 24 cores from FRV's point of view): when processing small RAW files on such computers, it may be useful to limit the concurrency to 10 or 15 threads. The default value is 255, that is no more than 255 cores will be used.


== Other changes ==
 * Preferences - Other - Debug log: an option to record error messages only
 * New settings in Registry/OS X Preferences: ScrollBarsWidth and ScrollBarsHeight, allowing to set the sizes of the scrollbars in pixels.
 * Support for RawPhotoProcessor is enhanced:
    - new setting "RPPS Template" points to a file to be used as a proto while creating .rpps file if none exist for the current raw file
    - new setting "Never write Green2 white balance for RGB files" – switches off the recording of the separate white balance coefficient for the second green channel, even when white balance coefficients for G1 and G2 channels differ significantly.
 * For the filenames that differ in extension only and are located in the same folder:
    - New setting "XMP - Warn if overwrite XMP for file with same name"
      If it is "on", FastRawViewer will ask user for confirmation before overwriting an XMP sidecar file containing settings for a file with the same name but different extension
    - New setting "XMP - Disable batch XMP operations if files with same name are selected"
      If it is "on" (default) and the selected files contain filenames that differ in extension only,
      the batch editing of XMP (setting or changing orientation, labels, ratings) will be grayed out / disabled in Menu - Select/Batch
      and in context menu.
    - The setting 'Enable XMP editing for JPEG files' is deleted, XMP name conflicts are detected as described above.
 * If FastRawViewer was started over one file (i.e. in Single file mode), pressing Esc will drop to Grid mode

 * Focus Peaking:
    - If a Focus Peaking mode is disabled in Preferences, the corresponding button is removed from the bottom bar
    - New menu items "Contrast Edges On" and "Fine Details On" replicate the buttons in the bottom bar
      Those menu items can have shortcuts assigned to them (no shortcuts are assigned to them by default)
    - A group of menu items (old ones, Focus Peaking Turn Edge/Details/None, and the two above-mentioned new ones
      are moved to sub-menu Menu - View - Focus Peaking
 * When 'Apply Adobe hidden exposure correction' setting (in Preferences) is disabled, the setting 'Set hidden exposure correction to' is also disabled

 * XMP files now contain certain technical info for exposure correction, white balance, and contrast to facilitate technical support

 *  Copy/Move changes have been re-worked:
    - up to 5 last folders which were destinations for Copy or Move operations are stored (two lists are maintained separate for Copy and Move)
    - these lists are available upon program relaunch.
    - The destinations in the lists have hotkeys assigned.
    - The list is shifted down by one position after Copy (Move) - Select destination, the selected folder becomes the topmost in the list.

 * New mode for setting white balance: through per-channel EV corrections in Preferences - White Balance - White balance edit mode; Range: +-3EV.

 * New setting "Hide panels floating within main window in Grid mode"
   - all panels that are floating inside the main window will be hidden once a display mode is switched to Grid View mode, and displayed again when changing to Single View mode
   - The setting 'Hide filmstrip' replaces the previous 'Hide docked filmstrip', the option "Always" is removed, the floating filmstrip is controlled through the general setting for floating panels.

 * New control for Statusbar: Text fields width: Auto, Minimum allowed, Maximum allowed
   - Auto: same behavior as previously, i.e. the width of the text fields in the bottom bar (file name, EXIF summary, etc.) is adjusted according to the length of the information, displayed in the field (within certain limits)
   - Minimum allowed: the width of the fields is set to the minimum allowed value
   - Maximum allowed: the width of the fields is set to the maximum allowed value

  If 'Statusbar: Text fields width: Minimum allowed or Maximum allowed' is active the extra buttons in the button blocks which have variable size (channel selection, switching between RAW - internal JPEG - external JPEG) the extra buttons are not hidden, but disabled.

  * Statusbar setting dialog is made scrollable and doesn't occupy the whole screen on OS X anymore.
  
  * File name and folder name in the bottom bar: if those do not fit in the field they are abridged by replacing the middle characters with dots.

  * The setting 'Preferences - Interface - Hide floating panels' replaces the previous 'Do not hide panels outside of main window', adding more flexibility, with the following options to process pressing the Tab key:
   - Hide All - all panels will be hidden
   - Those inside main window - only the panels inside the main window will be hidden
   - Do not hide - Tab has no effect on the panel visibility

 * The setting for warnings on 'Move to same folder' and 'warn on delete' is expanded - it is now possible to warn only if several files are to be moved or deleted.
 * The hidden EnableJPEGXMP setting is now made visible through XMP - Enable XMP editing for JPEG files
 * New XMP - Refresh XMP metadata and thumbnails after batch operation setting has been added. This enables the full re-read of previews and metadata after a batch operation (Rotate, Rating, Label) with XMP was preformed
 * Support for black and white JPEG previews for full-color RAW files
 * New Filmstrip display mode: unchecking Thumbnails Size - Display thumbnails will result in only filename, rating, and label displayed. This mode is useful when displaying the filenames as a list in a vertically-oriented Filmstrip, with or without ratings and labels.
 * Centering of the image selected in the Filmstrip when the image is the rightmost or leftmost: this setting is now in Interface - Grid/Filmstrip - Center edge Filmstrip items, replacing the script used for this purpose in the previous version.
 * The image which is currently processed (reading and decoding) is highlighted in the GridFilmstrip with a red frame
 * New Interface - Grid/Filmstrip - Stop Thumbnail decoding while RAW file being processed setting
	 - No - Thumbnail decoding is not postponed while RAW decoding takes place, with the two competing for processor resources.
	 - Single file mode – Thumbnail decoding is postponed in Single File View Mode until the RAW decoding is finished; in Grid mode, the two happen concurrently.
	 - Single file and grid modes – Thumbnail recording is postponed for any RAW decoding action.
 * EXIF panel reworked:
    - limits to resize have been removed
    - tooltips show the values for each line
    - the obsolete setting "reserve NNN lines" has been removed

 * Exposure Stats panel reworked:
    - the new setting (on the gear icon) Show pixels counts (default: off) enables the legacy display of the number of pixels and percents. By default only the percents with an increased number of significant digits are displayed.
 * XMP Metadata panel
   - the size of the stars in the ratings is scaled when the font size for the panels is changed.
 * The abridgement of the folder names in the Folders panel has been reworked - they now no longer reduced abruptly, instead an attempt is made to use the full width of the panel.
 * The hidden FilmstripFileOpenDelay (see manual) setting has been reworked; the minimum wait period for the transition to the next file in the Filmstrip grid is reduced to 10 msec, while the standard value is set to 255.
 * The maximum number of entries for the recent folders list has been increased to 10. The visited folder is stored in the list even if no files from this folder were opened (but the folder does contain RAW and/or JPEG files)
 * New File Handling - Warn on empty folders setting
   If this setting is on, and the folder doesn't contain the supported file types (filters are off) a warning will appear in the Filmstrip and in the Grid.
 * New RAW+JPEG - Use external jpeg as thumbnail if no built-in preview present setting
   If the setting is on, and the RAW file doesn't contain an embedded JPEG but an external JPEG to this file exists, this external JPEG will be displayed in the Filmstrip and in Grid view.
 * New option for displaying white balance: 'Channel EV Correction'.
   In this mode, the amount of per-channel exposure compensation (in stops, EV) necessary to white balance the image is displayed.
 * New hidden TryJPEGRawDecode setting
   If this setting is enabled (through a script), then existing JPEG files which do not have a RAW counterpart if they are in fact RAW and displayed in the main window, as the previews are not available. Two scripts: NoJPEGasRAW and TryJPEGasRAW are provided to switch this on and off. This setting is to support unofficial firmwares (hacks) that record RAW files with JPEG extensions.
 * Windows: the Program Files\LibRaw\FastRawViewer\scripts\BackupSettings.cmd script saves FRV settings in Documents\FRV-backup\...reg as three separate files: main settings, keyboard settings, and settings used for the last launch.
   These settings can be transferred to other Windows computers.
   This script is also located in All Programs\LibRaw\FastRawViewer
 * Keyboard shortcut editor: the location and the size of the keyboard shortcut editor window are restored upon a new launch.
 * Windows 8 - Windows 10: If the PDF of the manual is located in the program folder, the  Menu - Help - Online Manual item is changed to Menu - Help - PDF Manual and the local copy of the manual is opened when this menu item is activated.
 * What's new/Tips are opened (for the first launch of a new version of FastRawViewer or if the Tips display is "on") if start with "last visited folder" or "last opened file" is active.
 * Cosmetics: the message "External program is not found" for Windows platform used incorrect slash symbols (/ instead of \)
 * New Scripts EnableFoldersRefresh/DisableFoldersRefresh to enable/disable Folders tree refresh when new folder has created.
==  Camera support ==
    Canon 1DX Mark II, 80D
    Fujifilm X-Pro2 (only uncompressed RAW files), X70 and X-E2S
    Nikon D5
    Olympus Pen-F
    Panasonic ZS-60/TZ81/85,GX80/85
    Phase One IQ3 100Mpix
    Sony ILCA-68 (a68),RX10-III
    YUNEEC CGO4

== Bug fixes ==
 * When the size of the Thumbnails was changed or the Thumbnail cache was purged, the files which were in the queue for Thumbnail extraction are no longer stuck in the queue.
 * A bug in processing of damaged .eip files was fixed.
 * Bugfix: in certain rare cases Undo of the change of Rating operation resulted in setting Reject rating instead of zero rating
 * Bugfix: if monitor profile was changed, thumbnails in grid/filmstrip were not re-rendered
 * Bugfix: incorrect processing of LinearizationData tag for Linear DNG files
 * Bugfix: for DNG files in portrait mode and with bitmap-preview the thumbnail orientation was changed to landscape
 * Bugfix: in DirectX mode, first compiled shader was not saved.
 * Bugfix: if External Program was missing, 'Delete' button in warning dialog not worked as expected.
 * Correct processing of UserComment EXIF tag.
 * EXIF and Folders panels do not change the height when toggling their visibility with Tab key.

=== Obsolete functions, deleted ==
 * The setting 'After current file moved' - no point in it while working with a group of files.
 * The setting "Go to next file if current one is filtered out" - now always on.
 * The button 'Ignore EXIF rotation data' is deleted - please use an option to rotate a group of files
 * Windows: Software OpenGL mode is no longer available. It was never used in all of version 1.2's history, but occupies 4MB in the distribution.
 * "Delete previous file" deleted
 * "Restore last moved-to-_Rejected file", replaced with Undo
 * "Save Last Seen file in folder" deleted, please use Recent files
 * "Open a file by number" deleted.
 * Preferences - Interface - Alternate key handler deleted
   This parameter can now be set through the scripts (No)AlternateKeyHandler, (No)GlobalAlternateKeyHandler

== Version 1.2.4
 * Fixed random filmstrip re-positioning that on some rare cases happened after file move to another folder action
== Version 1.2.3
 * Data table used for Color Temperature/Tint calculation updated for several Canon cameras.
== Version 1.2.2
 * New (hidden) setting (Registry/Defaults) Prefs->FileArrivalDelay
   Designed to prevent FastRawViewer from attempting to display files that are not yet fully copied into the current folder.
   FastRawViewer
     - waits for the file size on the disk to stop changing (to determine that the size stopped changing the folder is re-read with the frequency set in  Preferences - Performance - Re-read folder in...)
     - additionally, delays the display of this new file for the amount of time set in FileArrivalDelay (default setting - 2 seconds)
     - displays this file in Filmstrip panel

   Scripts that control the delay:
     FileArrivalDefaultDelay - sets the default delay (2000 milliseconds); if you want a different value for the default delay please edit the script
     NoFileArrivalDelay - sets the delay to zero, thus disabling any extra delay.

 * Fixed the bug that in some rare cases prevented the restore of the size and position of the main window.
 * Fixed shutter speed display for 0.6..0.9 seconds range
 * Windows: workaround for the problem caused by NVidia version 2xx drivers for old video cards (up to 5xx GTX series)

== Version 1.2.1 2015-11-28

 * New processing option for the case when the external JPEG is rotated by some program.
   Setting: RAW+JPEG - Analyze external JPEG Orientation tag and image dimensions to match RAW
    - if this setting is on (default), orientation matching is performed: FastRawViewer will analyze the dimensions and the Orientation tag of the external JPEG and rotate it, so that its orientation will match the RAW image
    - if this setting is off, orientation matching is off (legacy behavior, like in FastRawViewer 1.2.0 and earlier versions).

 * Changes in activation procedure: FastRawViewer 1.2.1 will not prompt for re-activation after updating Windows 10 to version 1511 (note: if one of the earlier versions of FastRawViewer is already activated, re-activation may still be needed).

 * New scripts to set preview decoding priority: ThumbnailDecoderLowPriority, ThumbnailDecoderHighPriority
    - LowPriority – preview decoding and display of previews in the Filmstrip is paused for the time necessary to process the current RAW file and to display it in the main window (default).
    - HighPriority – preview decoding and display is not paused (default behavior in FastRawViewer 1.1.0 .. 1.2.0), the processes may interfere with each other.

 * New camera support:
    Sony RX1R-II

== Version 1.2.0 2015-11-10

== What's new ==

= Windows: Changing the graphics subsystem without installing another version =

A technical specificity, but an important one, so it's first on the list.
The graphics subsystem (DirectX/OpenGL) can be chosen without re-installing the program.

 1. During the first start-up, an automatic graphics subsystem decision happens
   - if an older Intel chipset graphics adapter is found, DirectX 9 version is installed
   - if more than one monitor or graphics adapter is found, OpenGL version is installed
   - all other cases: DirectX 9 version is installed

 2. If the automatic choice was unsuccessful for some reason,
    the program
    a) Will switch to another graphics type and suggest a relaunch
    b) Or it will suggest to preform the switch manually (see below),
       this is done in the case of a non-functioning OpenGL (an automatic switch to DX9 may cause an endless loop of switching between DX9 - OpenGL - DX9... in the case of completely incompatible graphics)

 3. Manual selection of the type of graphics subsystem can be done by launching the Registry script from
    Windows Start - All Programs - LibRaw LLC - FastRawViewer - Set Graphics Mode to...

 4. When FastRawViewer is launched successfully, the graphics subsystem can be set through
    FastRawViewer Preferences - GPU Processing - Graphics Engine

=  Filtering the file list by the XMP ratings and labels =
  Can be turned on through Menu - File - Filter Files by rating/label or through the funnel icon on the preview panel bar.
    - The necessary rating/label values should be selected in the appearing dialog (the filter rules work on the logical "AND" basis
      meaning that if both parameters are given, then only the files that conform to both conditions are displayed).
    - for the first time it is turned on for a given folder/catalog, it reads all of the XMP fles, with the progress displayed
      in the bottom bar of the program (the running "reading metadata" message).

   Settings: File Handling - File filtering by rating/label group
    1)  Go to next file if current one is filtered out
       Controls the program's behavior for the case when the current (displayed in the main window) file is not supposed to be
       in the list of displayed items according to the current filter rules
       Setting is turned on => the program will move (forward in the list) to the first file that meets the filter rules
       Setting is turned off => the aforementioned file stays in the main window, while moving to the next file
       is done in the standard way (Next/Prev, or using mouse in the preview panel)
     This setting works in two possible situations
      a) the filter rules have changed, and according to the new criteria the current file should not be displayed
      b) the label/rating of the file changed because they were edited in FRV, and with those new label/rating the file does not conform to the active filter rules.
    In the second case, the settings for 'Move to next file if rating/label set' are processed correctly, and the next file will not be skipped.

    2) Parse RAW files for XMP blocks for rating/label filtering
    This setting turns on searching for XMP blocks in the EXIF data of files, which is a lot slower than just reading XMP sidecar files.
    The setting should be used when there might be XMP blocks with meaningful ratings/labels in your RAW files:
     a) DNG files, which have the label or rating set in Adobe programs (Bridge, Lightroom)
     b) RAW files, which have the label or rating set in the camera (Canon cameras can write those, and possibly others, that's why we read and analyze EXIFs for all RAW files).

   - if the XMP data is changed by an external program while FRV is launched, then the standard way of re-reading metadata should be used to force FRV to pick the changes. (The 'gear' icon in the preview panel - choose 'Refresh thumbnails/ratings')

=  New panel "Favorite Folders" =
    This panel allows one to keep a list of often-used folders, and lets one readily access them.
    A click on an item (folder) in this list opens the chosen folder in the Thumbnails
    A double-click - opens it in the Thumbnails and loads the first file in the main window.
    To add a folder:
     - use the context menu in the Folder tree
     - gear icon in the panel header, and choose "Add current folder to favorites"
    When adding a folder already in the list, it moves to the top of the list
    To clean the list:
     - the context menu on the element allows one to delete this element
     - Menu panel -> Clear favorites list clears the entire list.


=  Sorting the file list by the EXIF Timestamp  =
  (internally, EXIF tags DateTimeOriginal and SubSecTimeOriginal are used)
  Can be turned on through Preferences - File Handling - File sort order
    - if this sorting is turned on, then the first time a folder with files is accessed, FRV will read EXIF data from all of the files in the folder. At the same time, XMP blocks in the files and XMP sidecar files will be analyzed.
      On slow discs/cards, this reading might take a while.
    - Files with EXIF timestamps within a second will be sorted alphabetically.

= New action Menu - View - Toggle Zoom (default key Z) =
   The zoom level for Toggle Zoom can be set through Preferences - Zoom - Toggle Zoom zoom to; the default value is 100%.
   Similar action was implemented in Lightroom, but we did it slightly differently
   - if the current zoom level is less than the value set for Toggle Zoom, then
     -- the current zoom level is stored
     -- the zoom level increases up to the value set in the Preferences
  - if the current zoom level is greater than or equal to the value set in the Preferences, then
     -- if there is a stored level, the current zoom changes to that value.
     -- if there is no stored level, Fit to Screen is used.

  It is the zoom level value (in percent) that is stored, not the state (Fit-To-Screen or other)
  so pressing Z on one image, moving to another image and pressing Z again will restore the numerical zoom value for the first image.

= Minor improvements =

 * (OS X): New preference: Preferences - Interface - Zoom - Use Logical pixels for zoom calculation
   - If turned on (default, "legacy" behavior), then the pixel in the screen is considered to be the "logical pixel" (in the case of Retina, it's a blok of 2x2 "real" pixels) and the calculation of the zoom size is done in these units.
   - If turned off, the zoom value is calculated in "physical pixels", so for Retina screens the displayed zoom value will now be doubled, and at 100% zoom the image will be half the size compared to "legacy" behavior.

 * New folder panel setting: Shorten long folder names
   In the folder tree, long names (more than 12 symbols) will be displayed as "5FirstSymbols...5LastSymbols"
   The full name of the folder will be displayed as a tooltip

 * New preference XMP - Read ratings/labels from XMP blocks embedded into RAW files
   Enables the reading of XMP ratings and labels in all places where they are used:
     - XMP rating/label of the current file (XMP Metadata panel, status bar)
     - Filmstrip/Thumbnails panel's rating and label display
     - filtering files by rating and label.

   If the setting is turned off (default state, for greater filtration speed), then ratings/labels are taken only from sidecar files, no matter the existence of or data in the XMP block embedded in the RAW file.
   If the setting is turned on, then the default rule for reading other XMP data is used: when embedded and an external XMP blocks both exist, the more recent variant will be used.

 * Windows: new checkbox with the "Add FastRawViewer to Open With right click menu for raw/jpeg files" installer

 * New variant of EXIF data: size of the file in megabytes

 * Filmstrip: new hidden (not showin in the Preferences) behavior settings:
   (See User Manual - Program Settings - Additional settings for details on using hidden settings)

   -- FilmstripCenterEdgeItems - to center or not an element in the Filmstrip panel, if the selected element is on the very edge. Control: (No)NoFilmstripCenterEdgeItems.reg/.sh script
      Default - to center.
   -- FilmstripShowCurrentOnFolderUpdate
      - turned on (default): when changing the contents of a folder (copying into it, for example) the Filmstrip panel is automatically positioned so that currently selected element is visible.
        if you try to view far ahead in the folder, the icons in the Filmstrip will constantly jerk back to the current position.
      - turned off: when the list of the files in the folder is changed, the current element in the Filmstrip stops being the selected one, there is no automatic positioning to the current element, and when choosing another element in the Filmstrip, it will be shown in the main window.

   Attention: when working with a large folder (thousands of files) to which the files are added, FRV will constantly re-read it, refresh the list of icons, etc. To decrease the frequency of the re-reading, use Preferences - Performance - re-read folder index once in, and set it to a larger value.

  -- FilmstripSelectedItemContrast - sets the contrast of the currently selected (highlighted) element in the Filmstrip.
     Default value of 5, can be increased/decreased by editing the Registry entry.


== What's changed ==

= Working with white balance =

 1. Color Temperature/Color Tint (CCT/Tint) values set through the white balance adjustment dialog are now not recalculated twice (first, to white balance coefficients, and then back, to CCT/Tint) when displaying the values for the current WB on the button and when recording those to an XMP file according to Adobe format: the values displayed (and recorded to XMP file) are exact.

    Note: values that are "set manually" are not kept forever, so if after setting them manually (resulting in Custom white balace) you choose one of the presets, and then go back to the Custom, a recalculation will occur.

 2. CCT/Tint calculations for DNG and RAW files from Canon, Fuji, Olympus, Samsung, Sony now take into account the camera calibration
    The calculated values for these formats/cameras should be practically identical to those in Adobe programs

 3. The calculation of CCT/Tint when the color temperature is out of Ill.A - D65 range (2850-6500K CCT) is improved, the calculated CCT values should be practically identical to those in Adobe programs.


 4. Reading white balance presets from a RAW file (if those presets are present in the RAW file)
    Note: if two "neighboring" files from one camera have different sets of presets
    (for example, the second one is a DNG file not containing any WB presets; in this case FRV will use presets from an internal table), and white balance must be preserved as instructed by the "same camera" setting in Preferences, then
     a) if possible, a preset with the same type of lighting (name) is used
     b) if none exists, then a WB that is set as the default "for another camera" is used.

= Small fixes and improvements =

 * Settings for the Global/Local rejected folder were ergonomically improved:
   - added Use global rejected files folder checkbox
   - added an option for choosing global in the folder choice dialog
   - when switching between local/global, the "disabled" value is not lost
   - importing the old variant is done automatically for local and for Global

 * Hidden (not included in the Preferences) settings of folder monitoring for showing/deleting files
    Prefs.AllDriveFolderMonitor - turns on the monitoring of all types of discs
    Prefs.UnknownDriveFolderMonitor - turns on the monitoring of discs, whose type is not recognized

    Turning on/off with scripts
      EnableAllDrivesMonitoring DisableAllDrivesMonitoring
      EnableUnknownDrivesMonitoring DisableUnknownDrivesMonitoring
    Windows: scripts (with the extension .reg) are copied to C:\Program Files\LibRaw\FastRawViewer\scripts\
    Mac: scripts (with the extension .sh) are found in the Scripts folder in the dmg file.

 * New XMP setting - Warn about XMP writing errors
   If turned on (default), the program will warn of any errors during XMP file recording

 * Preview panel: XMP sidecar files are read for JPEG files (if they exist), ratings and labels are shown in the panel.

 * Menu options which change XMP files (rotation, white balance, exposure correction) have been moved from View to a separate Adjust menu.

 * If the currently opened file is deleted from the folder with an external program, FRV will automatically move to the next file (same as if the file was deleted or moved in FRV)

 * The setting File Handling - Parse XMP Files for XMP blocks for rating/label filtering,
   which was responsible only for file filtering, has been removed.

 * The preference XMP - Read XMP data embedded into RAW files has been removed: when displaying a file in the main window, embedded XMP blocks are always read; when both XMP blocks and XMP sidecar files are present, the one  having a more recent timestamp in the XMP::Metadata tag is used.
   Furthermore, ratings and labels are read in accordance with the new setting
   XMP - Read ratings/labels from XMP blocks embedded into RAW files  (see below)

 * MS Surface: no additional activation is required after updating the Firmware version (BIOS).
   Attention: for this change to take effect, you will need to reactivate FRV one more time, without waiting for the BIOS to update. To do so
    - Open the activation dialog (Menu-Help-Registration Data)
    - Copy the current key to the Clipboard (choose it and press Ctrl-C)
    - press the Deactivate key, and wait for the result
    - Paste the key from the Clipboard into the respective field
    - Press Activate, wait for the result.
  This change *only* has to do with Microsoft Surface/Surface Pro

  * Right/Left arrows in Filmstrip/Thumbnails panel always navigate to the next/previous file, even if the current file is in the rightmost/leftmost column of the lighttable view
  * The number of external programs a user can launch is increased to 10
  * The setting "External Programs - Check external program presence on startup" (in Preferences), if on (default), causes FastRawViewer to check the availability of all external programs listed in the pane.

== File format support ==

 1. DNG with a floating point, DNG with Deflate compression, DNG panoramas composed in Lightroom/Camera Raw
 Support is through Adobe DNG SDK

   Controlled through two settings in Registry/defaults, not yet placed in the Preferences dialog
   (and, in all likelihood, will not ba placed there, but depending on feedback the defaults may be changed)
   Prefs.UseDNGSDK:
      0 - do not use
      1 - use for "unusual" DNG: linear dng, either data with a floating point, or compressed with deflate (such DNG are the result of panorama stitching, or HDR, or suchlike)
      2 - use for all DNG
   Prefs.DNGSDKMultiThread:
      0 - single-thread processing, 1 - multi-thread (for all cores in the processors' system)

   The UseDNGSDK=2,DNGSDKMultiThread=1 setting can seriously increase the speed of work with DNG files on multiprocessor/multicore computers with arbitrary jumps between files, but the stability of the work needs to be monitored.
   With consecutive file browsing, the prefetch of RAW data will do the work even with the previous decoders.

   Default: UseDNGSDK=1,DNGSDKMultiThread=1

   Setting the values is possible using the scripts supplied with FRV
    (Program Files/LibRaw LLC/FastRawViewer/scripts folder for Windows,
     Scripts folder in the .dmg for Mac, for Mac the scripts are not copied to the system, they're only in the .dmg)
   DNGSDKMultiThread.reg/.sh DNGSDKSingleThread.reg/.sh - setting multi-thread-ness
   NoDNGSDK.reg/.sh UseDNGSDKSelectedFiles.reg/.sh UseDNGSDKAllFiles.reg/.sh - setting the UseDNGSDK parameter
   Script manipulation should be done with FRV closed, otherwise upon closing the program will rewrite the settings with the old values.

 2. Support for non-compressed NEF format for Nikon Series 1 cameras

 3. Support for Pentax K3-II 4-shot mode.
    Can be turned  on/off through Preferences - Performance - Use all subframes for Pentax K3-II 4-shot files
    Works fairly slowly (since there are now four times as much data), use only if extremely necessary.

  4. Support for the uncompressed format of the Sony A7S II camera (and, hopefully, A7R II)

  5. Suport for Samsung NX1/NX500 12-bit/Normal compression mode

  6. More effective support for the .EIP format: thumbnails are loaded much quicker, and significantly less memory is used.

== Camera Support ==
 BlackMagic URSA
 Canon EOS M10, PowerShot G5 X, G9 X
 Leica SL (Typ 601)

== Bug fixes ==

 * When sorting by time of file creation, files with identical (to the second) times sort alphabetically in the right order.

 * If the program is in the process of changing the display from the current file to the next file, and navigation to the next file was done using the thumbnails, then the Copy, Move, and Delete Current File actions are not preformed until the transition to the next file is finished.

 * When changing the current folder through the Folders panel, the new file list was not "scrolled back to the beginning"

  * "Remember last opened file in folder" now is working as it should if used together with navigation through Folders/Favorite folders

  * For Windows 10 at HiDPI screens: buttons size in Keyboard Editor is increased

  * After the Keyboard Editor was launched, Menu - File - Run contained Program1 .. ProgramN instead of the names of the actual programs, fixed.

== 1.1.4 2015-10-20
 * Bug fixed: Folder tree was not populated if Folders panel starts undocked
 * Support for uncompressed 12-bit files from Nikon 1 series
 * Support for uncompressed Sony A7S-II/A7R-II files
 * Support for the following cameras is added:
   DXO One
   Leica S (Typ 007)
   Olympus E-M10 Mark II
   Ricoh GR II
   Sony A7S-II

== 1.1.3 2015-08-09
 * Camera support
   Nikon D810A
   Panasonic DMC-GX8
   Sony A7R-II, RX10-II

 * Fixed the program behavior for the case when the folder change is initiated through Folders panel:
   - 'Copy to Folder' and 'Clear _Rejected' actions are deactivated
     (they will be active after a file selected through Thumbnails panel is displayed in the main window)
   - the list of rejected files is cleared and 'Restore from Rejected' action is deactivated
   - if the new folder contains RAW or JPEG images, 'First/Last file in folder' actions become active.

== 1.1.2 2015-07-09
 * Camera support
    Canon 5DS/5DS R in sRAW/mRAW modes
    Canon G3 X
    Fujifilm X-T10
    Leica Q
    Olympus AIR-A01
    Panasonic DMC-G7/G70
    Pentax K3 II (first subframe for 4-shot images)
    Sigma dp3 Quattro, dp0 Quattro (JPEG only)
    Sony RX100-IV

== 1.1.1 2015-05-15

== Changes ===
 * Filmstrip/Thumbnails Panels:
   - New preview size, 75x50 pixels
   - the filename can be displayed in the tooltip
 * Folders Panel:
   - Display of folder and drive icons can be turned off to save space
   - Removable media change monitoring can be turned off
   - Windows: the display of letters for removable drives with no media inserted can be turned off

 * Windows: experimental support for operations with non-mounted volumes (\\NAS\share\path)
   - Preferences - Removable Media - Show unmounted network volumes in Folders panel, this setting will 
     switch on the display of the contents of the current un-mounted volume in this panel 
     (if this setting is Off, the network devices that do not have a drive letter assigned will not be displayed)
  Such a volume will be displayed in the panel only after an image file (RAW or JPEG) from this volume 
  will be opened using standard actions: Drag-n-Drop, Menu - File - Open, Menu - File - Open Folder.
  Again, this is an experimental support, it was subjected only to a limited testing.
  If you encounter any problems, including FastRawViewer crashing, please turn it off.


 * Camera support
   Canon: 750D, 760D
   Leica: Monochrom (Typ 246)
   Nikon: 1 J5

== Bugs fixed and problems solved ==
 * Bug fix: if the user cancelled (after a warning) the operation of "Move to _Rejected",
   new files wouldn't open through the Thumbnail/Filmstrip panel (File-Next File and other "File" actions -
   continued to work).

 * Bug fix: EXIF parser improved for better handling of incorrect EXIF data

 * Windows: fixed FastRawViewer shut-downs caused by the OS's icon and folder provider being buggy or just crashing
   (the problem was noticed only for the versions of Dell Backup & Recovery released before September 2014):
   - the icons built into FRV are used by default in the Folders panel (to use the system icons, go to
      Preferences - Interface - Use built-in drive/folder icons)
   - The icons built into FRV are used in the FRV (as opposed to system's) file select dialogs
     (to use system icons, go to Preferences - Interface - Use built-in icons in Open File/Open Folder dialogs)
   - During the first start of FRV, it searches for Dell Backup & Recovery - and if it is found,
     Preferences - Interface - Use system Open File/Open Folder dialogs is turned off.

 * Windows: a problem caused by "too intensive monitoring" of removable media is fixed, the strain on removable media is now decreased
 * Windows: the monitoring of removable media on disks A: and B: is turned off by default, these disks are completely ignored.
   It can be turned back on (may be necessary if you have a card reader on A:/B:, for instance) through switching off
   Preferences - Removable Media - Disable A: and B: floppy access
   (this setting in Preferences was created because many users have a floppy controller enabled in BIOS, but no floppy drive physically connected to the controller on the motherboard,
    and as a result any request to A:/B: can take several seconds; generally, this request
    occurs during the program start, to check for the presence of a floppy disk in the disk drive).

 * Windows: fixed crash when opening file from network share w/o drive letter assigned.

 * OS X: FastRawViewer crash occurring for slow media / network media devices when opening an explicitly specified file (by dropping it in, or identifying it in the command line)
   placed very deep in the folder hierarchy (deep nesting level) is fixed.
 
== 1.1.0 2015-04-28

== New, major improvements: ===
 1. Filmstrip/Thumbnails panel previews the current folder's files.
    The thumbnails are extracted from the previews built into the RAW files;
    if the RAW file has no preview (such as with Cinema DNG), then the thumbnail isn't displayed.
    Aside from the thumbnail, the panel optionally shows the file name, rating, XMP label, title, and description.
    What exactly is displayed and how it is displayed can be controlled through the 'settings' button (gear)
    on the panel title.

 2. Folder panel with folder tree display, and fast navigation through it.

 3. Removable media support (flash cards, etc.):
     - automatic detection of an inserted card,
      and a possibility to automatically start browsing in the most recent folder.
     - unmounting a card without exiting FRV.

 If one closes the new panels and restarts FRV, then it will behave as previous versions
 (doesn't decode previews, does not monitor changed media), correspondingly the performance remains as it used to be.

 4. Support of display and editing of XMP/IPTC Title and Description.
    Displayed on the XMP data panel, can be edited via Alt-D.

 5. The color scheme of the informational panels can be tuned through Preferences - Interface

== New, minor improvements ===
 * Menu - File - Reveal in Finder (Mac) / Show in Windows Explorer
   Displays the currently opened file in the file structure

 * Mac: Proxy Icon in the window title, acts like with all Mac programs
   (the icon can be dragged to other programs; Command-Click displays the menu with the folder hierarchy).

 * New Feature: "File Handling - Open Folder dialog starts at" with the options
    - Current folder
    - One level higher
    - Fixed folder

== Changes ==
 * Preferences have been reworked, the new descriptions are available in the documentation (manual).
 * The default manner of starting without specifying a file to be opened is Last Visited Folder.
 * Support of Open Multiple Folders has been removed (obsolete)
 * The default buttons for opening/closing informational panels have been changed; instead of letters, now the F2-F7 keys are used. Old settings will continue to work, until the user resets the settings to defaults.

== Bug fixes ===
 * XMP recording during switching between the files has been prohibited
 * If a file has both an XMP block inside, and an external sidecar file, and both blocks have the tag xmp:MetaDataDate, then the more recent set of XMP data is used.
 * Processing of large folders on slow storage devices (network, removable media) has been significantly increased
 * Bug fix: when changing the sort order of files in a folder, the new order was applied only starting with the next folder; the current one wouldn't be re-sorted.
 * Bug fix: the "XMP Rating Plus' action was applied only if a file already had a rating.

== New Camera Support ==
   Canon: EOS 5DS, EOS 5DS R, EOS M2, EOS M3
   Fujifilm: XQ2, X-A2
   Nikon: D5500, D7200
   Olympus: SH-2, TG-4
   Panasonic: TX70/71/ZS50
   Pentax: K-S2
   Samsung: NX500

== 1.0.5 2015-02-14
 * New Action: Menu - File - Clear _Rejected folder
   Allows one to permanently delete (not just send to Trash/Recycle bin) the contents of the _Rejected folder.
   It will ask again if you are sure, you will need to set the checkmark, and after that the OK button will become active.
   The second checkbox controls the deletion of Read-Only files.
   Attention! Mac OS X does not support access control for the FAT file system (memory cards), and all files will be deleted regardless of read-only checkbox state.
   The Clear _Rejected folder action is unaccessible and invisible in the menu if the _Rejected folder is set as global.
   A shortcut cannot be assigned to this action.

 * Processing situations, when the contents of the current folder are changed by an external program while the user is attempting to navigate to the next/previous file:
    - if all files are deleted (or the current folder is renamed): FRV issues a warning and stops displaying the current file;
    - if some of the files are deleted and the requested navigation to next/previous file is impossible, then:
       a) if the current file is also deleted, FRV will try to maintain position in the list: if the deleted file was, for example, the 10th, but it is deleted and thus the relative positioning is impossible, FRV will go to the 9th or 11th file, correspondingly (if they exist)
       b) if the current file is not deleted, but moving forward/back is impossible ( because all files before/after have been deleted) FRV will beep, showing a question mark instead of the current file number, and will forbid moving in the direction where the attempt has been made and proven impossible.

 * When copying a file while choosing a folder, the chosen folder will become the second (not first) in the list of Recent folders. The first in the list of Recent folders will remain, as it should be, the current folder.

 * New Preference: Other - Use high speed preview for Fujifilm X-Trans
    As obvious from the name, this preference speeds up work with X-Trans (at the cost of quality, otherwise the preference wouldn't exist).
    When first launching and when returning to default settings, this one will automatically turn on on computers:
        - with processors that are older than Intel i7,
        - for i7 (i3, i5) of the first generation, if the number of cores is less than 4 (hyper-threaded cores are counted in as real).
        For faster devices, this setting is unnecessary, as the speed is already acceptable with standard unpacking.

  * New camera support:
     Olympus E-M5 Mark-II, including HiRes (64Mpix) files

  * A bug has been fixed when dealing with poorly formatted Panasonic MakerNotes.
  * Bug fix: after calling up the preference dialog on Mac OS X, some of the informational windows would occasionally disappear.

== 1.0.4 2015-02-01

* New Actions
   Menu - File - Copy to folder (ask destination) (standard hotkey: C)
   Menu - File - Copy to folder (same destination) (standard hotkey: Shitf-C)
  Functions analogously to Move to folder, but copies the file instead of moving it.
  The "Same destination" folder is shared for the Copy and Move actions.
  Like Move to folder, this function never rewrites a file, if it exists.
  Like Move to folder and Move to _Rejected, the XMP-file will be copied along with the RAW file, if it exists, and in RAW+JPEG mode, the JPEG file will be copied as well.

* Using Preferences - File Handling - Subfolder for rejected files
  one can assign not just a subfolder, but an absolute path as well.
  An absolute path follows the rules below:
  Windows: absolute paths start with 'C:' (local path, any Latin letter can be used instead of 'C') or with '\\' (network paths)
  OS X: absolute path starts with '/'
  The dialog to set the absolute path is not supported, one must type it out manually.

* New Action: Menu - File - Close File
  Stops all background decoding processes; changes the current folder to
  %HOME%/Pictures (if it exists), or to %HOME%, "closes" the currently opened file.
  Intended, primarily, to support the proper un-mounting of an external drive (flash card, camera, removable drive, etc).

* EXIF data extraction (exposure, ISO setting, lenses) from the XMP blocks built into the RAW files.
As one of the results, we now display Leaf shooting data.

* The CCT/Tint calculation has been improved, especially for low color temperatures ("warm" light).

* DXO Optics 10 and Capture One 8 have been added to the list of programs, automatically recognized during the first start of FRV.

* Added camera support:
 Panasonic GF7
 Sony A7 II

== 1.0.3, 2015-01-10

* Support for HiDPI in Windows
* User control over the font sizes in the bottom bar and in the right column through Preferences:
   - Preferences - Interface - Bottom bar font size
   - Preferences - Interface - Information windows size

* Added support for new Panasonic camera DMC-TZ70 A.K.A. DMC-ZS50

* New setting in Preferences: "File Handling - Ignore extensions when file browsing"
  This setting allows the user to supply a list of file extensions. Files having the extensions listed here:
  - will be ignored during file browsing;
  - not displayed in the "Open file" dialogue window.

== Bugs Fixed ==
 * EXIF settings: the options "Do not show empty values" and "Show row labels" are now saved correctly.
	The default setting to show row labels is forced during the first start, overriding the previous status of the setting.
 * The message warning that the trial period is expired is not overlaid with the Splash Screen
 * Upon the start, the program checks if its window will be visible on one of the monitors; and if not - it will start with the default layout.
   (That is, if the previous session used a second monitor, which was later unplugged, the program window will be visible).

== 1.0.2, 2014-12-29
== Significant changes ==

 * The decoding of lenses from MakerNotes for Canon, Fujifilm, Leica, Nikon,
 Panasonic, Pentax, Samsung and Sony cameras, as well as most cameras with fixed lenses.
 The EXIF/Lens field now looks correct in the majority of cases.

 * New Actions
 Open first file in folder (default shortcut Ctrl-Shift-left arrow)
 Open last file in folder (default shortcut Ctrl-Shift-right arrow)

== New camera support ==
 Fuji X-T1 Graphite Silver
 Hasselblad Stellar II
 Panasonic DMC-CM1
 Samsung NX1

== Minor Changes ==
 * The new setting 'Use System file/folder open dialog', default is ON.
 If you turn it off, a different (more compact) dialog is used when opening files.

 * (Windows) The new setting 'Other - Faster program close', is intended for the very rare cases when FastRawViewer's process is not completed in a reasonable amount of time.

 * When attempting to open a file, the reading of which is not allowed because of the standard permissions (access rights) setting, a warning is issued.

 * When flipping to a file, the reading of which is forbidden (through permissions or the Access Control List), "no permission for reading" is added to the list of reasons for not opening a file.

 * Debug log: different buttons for copying "as text" and "as html" to clipboard, to allow more flexibility while choosing the program for paste operation.

 * Alt-letter hotkeys have been added for access to the main/upper menu.
 If an analogous shortcut is added for access to some function of the program (through the Keyboard Shortcuts editor), then it will have priority over the upper menu.
 Therefore, when using the standard keyboard layout, there is no fast access to the Window menu, since the Alt-w command is assigned to the manual white balance setting tool.

== Bugs fixed ==
 * Exposure correction: Autoexposure - autoexposure did not work for the first file opened in the session.

 * Exposure correction: Keep from prev. file: On the first RAW file during the session (if it doesn't have exposure correction saved in XMP) No Correction was always applied (but taking into account the Adobe hidden correction setting)

 * Mac OS X; full-screen mode:
 - OS X 10.7-10.10: Turning off "Use Lion Fullscreen" in the settings removes the option of going to fullscreen mode using the system GUI (the buttons on the window's upper bar)
 - All versions: independent of the method of switching to full-screen mode (window maximization on OS X 10.6, or turning on Lion Fullscreen for later versions), the upper bar menu buttons, the program hotkey, the buttons in the status bar, the state of the "checkmark" in Menu - View - Fullscreen and Close Fullscreen is synchronized with the state of the window.
 - When turning off Use Lion Fullscreen in the settings, if the program was in fullscreen mode then it returns to it.
 - When turning on Use Lion Fullscreen in the settings, if the program was in the maximized mode, the Menu - View - Fullscreen checkbox is unchecked.

 * OS X: Dropping a file onto the FRV application icon and starting FRV through Open With now works in all cases.
 * OS X 10.10: Dragging a file into the FRV application window now works in all cases.
 * OX X: The application version displayed in Info always corresponds to the current application version.
 * Kodak DCS ProBack: In several cases, the preview ("Internal JPEG") of the file was incorrectly decoded.

== 1.0.1, 2014-12-04

=== Changes to Auto Exposure Control ===

The Auto Exposure indication and the behavior of the program now default to align with Adobe RAW converters (Camera Raw/Lr).

* New setting Image Display - Apply Adobe hidden exposure correction
  If this setting is "on" (default):
   - Exposure correction is aligned with the one that is indicated in Adobe converters (that is Adobe Baseline exposure compensation is added)
   - If the exposure correction is set to zero or is "off", the brightness of the image is aligned to the brightness to the Adobe converters with the exposure correction set to zero.

 * The setting Keep exposure correction on next file is replaced with the following.
   Exposure correction on file open:
     - No correction (default) - if selected, no exposure correction is applied
     - Autoexposure - if selected, Automatic exposure correction is applied
     - Keep from prev. file - if selected, the exposure correction is inherited from the previous file (for the first file in session exposure correction is set to zero).
   New setting does not allow to fully emulate the behavior of previous versions for the case if automatic exposure correction for the first file + "keep correction on next" were in use; to handle this, please press Shift-A once.

 * Automatic exposure correction logic reworked and enhanced.
   New settings in Preferences - Image display
    - for Automatic exposure correction:
       Fixed exposure shift - if selected, a fixed exposure correction is applied  (Adobe hidden exposure compensation is added to the value)
       ETTR-style autoexposure (shift histogram to the right) - if selected, the Auto Exposure correction is calculated so that the histogram is shifted to the right.
    - to control the ETTR-style Auto exposure you can set the limit:
       Unlimited - no limit
       Hard limit - a hard limit
       Virtual ISO (default) - soft limit, which depends on the ISO setting at which the image was captured.

 * Settings for Adobe Exposure Difference are moved from XMP tab to Exposure tab:
	Replaced:
		"Use Builtin Adobe/FRV exposure difference when possible"
		and
		"Adobe/FRV exposure difference for other files"
	With:
		"Image Display - Override Adobe exposure correction to NN EV"
	Most likely you don't need this setting because all the offsets for the exposure correction between Adobe convertors and FRV for the cameras that are supported by Adobe are already in FRV.

 If you want to preserve the legacy ("FRV 1.0" and earlier) behavior, please do the following:
   a) Disable "Apply Adobe hidden exposure correction"
   b) Set "Exposure correction on file open" to "Autoexposure" or "Keep from prev. file"

 == Other changes ==
 * The setting for "Image Zoom on next file" is moved to Interface tab
 * for OS X Color Management is enabled by default.
 * The description of the system monitor profile is displayed in Preferences - Color Management.
 * Deleted settings
    - Start in fullscreen
    - Remember maximized
   The program now starts with the screen size it had previously.
   The last size of the program window before going to fullscreen/maximize is stored in the settings.
 * Increase exposure: shortcut Alt+= is added
 * New setting for EXIF display window: Show row labels (enabled by default)
   If it is turned off, only the values from EXIF will be shown and the names (like Shutter, Aperture, etc.) will be omitted.
   This is intended for the case when only few fields from EXIF are displayed and their meanings are obvious without annotations.

== Bug fixed ==
 * The formatting of the window with EXIF data is fixed.
 * In floating windows of variable size (such as histogram and EXIF) the resize grip behaves more predictably.
 * Histogram window: if you move it out of the dock using the button on top of the histogram window it regains the previous size, as it was adjusted during the current session.

== 1.0.0 2014-11-27
FastRawViewer is now shareware with a 30-day trial period.
Added interfaces for program activation the program and license status display

Activation instructions are added to manual and 
published on the website: http://www.fastrawviewer.com/usermanual/activation

Changes since 0.9.5-Beta:
  * Additional verification of duplicate hotkeys on program start.
  * FRV window do not accept file drag-n-drop until program initialization completes.
